package com.agilex.healthcare.directscheduling.dao;

import java.io.IOException;
import java.util.List;

import org.codehaus.jackson.JsonParseException;
import org.codehaus.jackson.map.JsonMappingException;
import org.codehaus.jackson.map.ObjectMapper;
import org.codehaus.jackson.map.type.TypeFactory;
import org.springframework.stereotype.Repository;

import com.agilex.healthcare.directscheduling.exception.DirectSchedulingException;

@Repository(value="clinicByProviderDao")
public class ClinicByProviderDaoJSONImpl implements ClinicByProviderDao {

	private static final org.apache.commons.logging.Log logger = org.apache.commons.logging.LogFactory.getLog(ClinicByProviderDaoJSONImpl.class);

	@Override
	public List<ClinicProvider> getClinicNameByProvider() {
		String jsonFile = "com/agilex/healthcare/directscheduling/dao/clinicByProvider.json";
		final ObjectMapper mapper = new ObjectMapper();
		try {
			final List<ClinicProvider> clinicProviderList = mapper.readValue(ClinicByProviderDaoJSONImpl.class.getClassLoader().getResourceAsStream(jsonFile),
					TypeFactory.defaultInstance().constructCollectionType(List.class,ClinicProvider.class));
			return(clinicProviderList);
		} catch (JsonParseException e) {
			throw new DirectSchedulingException(e.getMessage());
		} catch (JsonMappingException e) {
			throw new DirectSchedulingException(e.getMessage());
		} catch (IOException e) {
			throw new DirectSchedulingException(e.getMessage());
		}
	}
}
