package com.agilex.healthcare.directscheduling.dao;

import java.util.List;
import java.util.Map;

import org.springframework.jdbc.core.JdbcTemplate;

import com.agilex.healthcare.directscheduling.db.PatientResultSetRowMapper;
import com.agilex.healthcare.directscheduling.db.PatientStoredProcedure;
import com.agilex.healthcare.directscheduling.domain.FacilityMember;
import com.agilex.healthcare.directscheduling.domain.VARFacilityMembers;

public class PatientRelationshipDaoImpl implements PatientRelationshipDao {

	private PatientStoredProcedure patientStoredProcedure;
	private JdbcTemplate jdbcTemplate;
	private String storedProcedure;
	private PatientResultSetRowMapper patientResultSetRowMapper;

	public void initStoredProcedure() {

		patientStoredProcedure = new PatientStoredProcedure(jdbcTemplate,
				storedProcedure, patientResultSetRowMapper);
	}

	public VARFacilityMembers getPatientData(String patientIdentifier) {

		Map<String, Object> data = patientStoredProcedure.getStoredProcedureResults(patientIdentifier);

		@SuppressWarnings("unchecked")
		List<FacilityMember> teamResults = (List<FacilityMember>) data.get(DAOConstants.RESULT_LIST);

		VARFacilityMembers ftm = new VARFacilityMembers();
		ftm.setFacilityMembers(teamResults);
		return (ftm);
	}

	public PatientStoredProcedure getPatientSP() {

		return patientStoredProcedure;
	}

	public void setPatientClinicRelationshipSP(
			PatientStoredProcedure patientStoredProcedure) {

		this.patientStoredProcedure = patientStoredProcedure;
	}

	public void setJdbcTemplate(JdbcTemplate jdbcTemplate) {

		this.jdbcTemplate = jdbcTemplate;
	}

	public JdbcTemplate getJdbcTemplate() {

		return (jdbcTemplate);
	}

	public void setStoredProcedure(String storedProcedure) {

		this.storedProcedure = storedProcedure;
	}

	public String getStoredProcedure() {

		return (this.storedProcedure);
	}

	public PatientResultSetRowMapper getPatientRowMapper() {

		return patientResultSetRowMapper;
	}

	public void setPatientResultSetRowMapper(
			PatientResultSetRowMapper patientResultSetRowMapper) {

		this.patientResultSetRowMapper = patientResultSetRowMapper;
	}

}
