package com.agilex.healthcare.directscheduling.db;

import java.sql.ResultSet;
import java.sql.SQLException;

import org.apache.commons.lang.StringUtils;

import com.agilex.healthcare.directscheduling.domain.FacilityMember;
import com.agilex.healthcare.directscheduling.domain.FacilityMemberProvider;

public class PatientResultSetRowMapperFacilityProviders implements PatientResultSetRowMapper {	
	
	private static final int PROVIDER_SID_COL = 1 ; // int datatype
	private static final int PRIM_STOPCODE_COL = 2 ; // int datatype
	private static final int PATIENT_ICN_COL = 3 ; // rest are string
	private static final int LAST_NAME_COL = 4 ; 
	private static final int FIRST_NAME_COL = 5 ; 
	private static final int STAFF_NAME_PRFX = 6 ; 
	private static final int STAFF_NAME_SUFX = 7 ;
	private static final int PROVIDER_CLASS_COL = 8	;
	private static final int INSTITUTION_NAME_COL = 9 ;
	private static final int FACILITY_TYPE_COL = 10	;
	private static final int INSTITUTION_CODE_COL = 11 ;
	private static final int STATE_ABBRV_COL = 12 ;
	private static final int STREET_ADD1_COL = 13 ;
	private static final int STREET_ADD2_COL = 14 ;
	private static final int CITY_COL = 15 ; 
	private static final int STA3N_COL = 16 ; 
	

	@Override
	public FacilityMember mapRow(ResultSet rs, int rowNum) throws SQLException {

		FacilityMemberProvider facilityMemberProvider = new FacilityMemberProvider( ) ; 

		// Facility
		facilityMemberProvider.setFacilityParentSiteCode( StringUtils.trimToEmpty( rs.getString( STA3N_COL ) ) ) ;
		facilityMemberProvider.setFacilityCode( StringUtils.trimToEmpty( rs.getString( INSTITUTION_CODE_COL ) ) ) ;
		facilityMemberProvider.setFacilityName( StringUtils.trimToEmpty( rs.getString( INSTITUTION_NAME_COL ) ) ) ;
		facilityMemberProvider.setFacilityType( StringUtils.trimToEmpty( rs.getString( FACILITY_TYPE_COL ) ) ) ; 
		facilityMemberProvider.setFacilityStreetAddress1( StringUtils.trimToEmpty( rs.getString( STREET_ADD1_COL ) ) ) ; 
		facilityMemberProvider.setFacilityStreetAddress2( StringUtils.trimToEmpty( rs.getString( STREET_ADD2_COL ) ) ) ; 
		facilityMemberProvider.setFacilityCity( StringUtils.trimToEmpty( rs.getString( CITY_COL ) ) ) ;
		facilityMemberProvider.setFacilityState( StringUtils.trimToEmpty( rs.getString( STATE_ABBRV_COL ) ) ) ;  

		// Patient
		facilityMemberProvider.setPatientICN( StringUtils.trimToEmpty( rs.getString( PATIENT_ICN_COL ) ) ) ;
		
		// Provider
		facilityMemberProvider.setProviderSID( StringUtils.trimToEmpty( rs.getString( PROVIDER_SID_COL ) ) ) ; 
		facilityMemberProvider.setProviderClass( StringUtils.trimToEmpty( rs.getString( PROVIDER_CLASS_COL ) ) ) ;
		facilityMemberProvider.setProviderFirstName( StringUtils.trimToEmpty( rs.getString( FIRST_NAME_COL ) ) ) ; 
		facilityMemberProvider.setProviderLastName( StringUtils.trimToEmpty( rs.getString( LAST_NAME_COL ) ) ) ;
		facilityMemberProvider.setProviderNamePrefix( StringUtils.trimToEmpty( rs.getString( STAFF_NAME_PRFX ) ) ) ;
		facilityMemberProvider.setProviderNameSuffix( StringUtils.trimToEmpty( rs.getString( STAFF_NAME_SUFX ) ) ) ;
		
		// Clinic
		facilityMemberProvider.setClinicStopCode( StringUtils.trimToEmpty( rs.getString( PRIM_STOPCODE_COL ) ) ) ;
		
		return( facilityMemberProvider ) ;
	}

}
