package com.agilex.healthcare.veteranappointment.datalayer.appointment;

import com.agilex.healthcare.veteranappointment.datalayer.AbstractDao;
import com.agilex.healthcare.veteranappointment.domain.VARAppointmentMetric;
import org.springframework.stereotype.Repository;
import org.springframework.transaction.annotation.Propagation;
import org.springframework.transaction.annotation.Transactional;

@Repository
public class AppointmentMetricsDao extends AbstractDao {
	private static final org.apache.commons.logging.Log LOGGER = org.apache.commons.logging.LogFactory.getLog(AppointmentMetricsDao.class);
	
	public VARAppointmentMetric getAppointmentMetric(String name) {
		AppointmentMetricPo po = this.entityManager.find(AppointmentMetricPo.class, name);
		
		return (po == null) ? null : po.create();
	}
	
	@Transactional(propagation = Propagation.REQUIRED)
	public VARAppointmentMetric saveAppointmentMetric(VARAppointmentMetric metric) {
		AppointmentMetricPo po =  this.entityManager.merge(new AppointmentMetricPo(metric));
		
		return (po == null) ? null : po.create();
	}
	
	@Transactional(propagation = Propagation.REQUIRED)
	public void removeAppointmentMetric(String name) {
        VARAppointmentMetric metricToRemove = getAppointmentMetric(name);
		//this.entityManager.merge(new AppointmentMetricPo(metricToRemove));		
		this.entityManager.remove(this.entityManager.merge(new AppointmentMetricPo(metricToRemove)));
	}
}
