package com.agilex.healthcare.veteranappointment.datalayer.appointment;

import com.agilex.healthcare.mobilehealthplatform.domain.filter.datefilter.DateFilter;
import com.agilex.healthcare.veteranappointment.domain.VARAppointmentRequest;
import com.agilex.healthcare.veteranappointment.domain.VARAppointmentRequestMessage;
import com.agilex.healthcare.veteranappointment.domain.VARAppointmentRequestMessages;
import com.agilex.healthcare.veteranappointment.domain.VARAppointmentRequests;

public interface AppointmentRequestDataLayer {

	VARAppointmentRequests fetchAppointmentRequestsByPatient(String patientId, DateFilter filter);
    VARAppointmentRequests fetchAppointmentRequests(AppointmentRequestFilter filter);

    VARAppointmentRequest fetchAppointmentRequest(String patientId, String appointmentRequestId);

    VARAppointmentRequest saveAppointmentRequest(VARAppointmentRequest appointmentRequest);

	void deleteAppointmentRequest(VARAppointmentRequest appointmentRequest);

    VARAppointmentRequestMessages fetchAppointmentRequestMessages(String patientId, String appointRequestId);

    VARAppointmentRequestMessage saveAppointmentRequestMessage(String patientId, VARAppointmentRequestMessage appointmentRequestMessage, boolean isProvider);

    VARAppointmentRequest updateMessageFlag(String patientId, String appointmentRequestId, boolean isProvider);

    VARAppointmentRequest markAppointmentRequestIsSeenByProvider(String patientId, String appointmentRequestId);
}
