package com.agilex.healthcare.veteranappointment.dataservice;

import com.agilex.healthcare.veteranappointment.datalayer.appointment.AppointmentMetricsDataLayer;
import com.agilex.healthcare.veteranappointment.domain.VARAppointmentMetric;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;

@Service
public class AppointmentMetricsDataService {
	
	@Resource
	private AppointmentMetricsDataLayer datalayer;
	
	public VARAppointmentMetric incrementMetric(String name) {

        VARAppointmentMetric metric = datalayer.getMetric(name);
		
		if (metric != null) {
			metric.setValue(metric.getValue() + 1);
		} else {
			metric = new VARAppointmentMetric();
			metric.setName(name);
			metric.setValue(1);
		}

        VARAppointmentMetric result = datalayer.saveMetric(metric);
		
		return result;
	}
}
