package com.agilex.healthcare.veteranappointment.domain;

import com.agilex.healthcare.veteranappointment.domain.VARPatientDataCollection;
import com.agilex.healthcare.utility.datemarshallers.DateTimeMarshaller;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.adapters.XmlJavaTypeAdapter;
import java.util.Collection;
import java.util.Date;

@XmlAccessorType(value = XmlAccessType.NONE)
@XmlRootElement(name = "appointmentRequests", namespace = Namespace.VeteranAppointmentRequest)
public class VARAppointmentRequests extends VARPatientDataCollection<VARAppointmentRequest> {
	private static final long serialVersionUID = -1232048559610824265L;

	public Date lastAccessDate;
	
	@XmlElement(namespace = Namespace.VeteranAppointmentRequest)
	public Collection<VARAppointmentRequest> getAppointmentRequest() {
		return this;
	}

	@XmlElement(namespace = Namespace.VeteranAppointmentRequest)
	@XmlJavaTypeAdapter(DateTimeMarshaller.class)
	public Date getLastAccessDate() {
		return lastAccessDate;
	}
	
	public void setLastAccessDate(Date lastAccessDate) {
		this.lastAccessDate = lastAccessDate;
	}
}
