package com.agilex.healthcare.veteranappointment.resources;

import javax.annotation.Resource;
import javax.servlet.http.HttpServletRequest;
import javax.ws.rs.GET;
import javax.ws.rs.Path;
import javax.ws.rs.Produces;
import javax.ws.rs.QueryParam;
import javax.ws.rs.core.Context;
import javax.ws.rs.core.HttpHeaders;
import javax.ws.rs.core.UriInfo;

import org.springframework.context.annotation.Scope;
import org.springframework.stereotype.Component;

import com.agilex.healthcare.mobilehealthplatform.enumeration.AppType;
import com.agilex.healthcare.veteranappointment.datalayer.facility.FacilityDataService;
import com.agilex.healthcare.veteranappointment.datalayer.facility.FacilityFilter;
import com.agilex.healthcare.veteranappointment.datalayer.facility.FacilityFilterFactory;
import com.agilex.healthcare.veteranappointment.domain.CDWFacilities;
import com.agilex.healthcare.veteranappointment.utils.PilotFacilitiesHelper;

@Path("/facility-service/")
@Component
@Scope("request")
public class FacilityResource {
	
	@Resource
	PilotFacilitiesHelper pilotFacilitiesHelper;
	
	@Resource
	FacilityDataService dataService;
	
	@GET
	@Produces({ "application/xml", "application/json" })
	@Path("facilities")
	public CDWFacilities fetchFacilities(@Context UriInfo uriInfo, @Context HttpServletRequest request, @Context HttpHeaders headers, @QueryParam("app") String app) {
		FacilityFilterFactory facilityFilterFactory = new FacilityFilterFactory(pilotFacilitiesHelper.getPilotSites(app));
		FacilityFilter filter = facilityFilterFactory.createFromUri(uriInfo.getRequestUri());
		return dataService.fetchFacilities(filter);
	}
}