define(['Global', 'User', 'AppointmentRequestMessage'], 
	function( Global, User, AppointmentRequestMessage ){
		return Backbone.Collection.extend({
			model: AppointmentRequestMessage,
			parse: function(data){
				var vetId = User.get("id"),
					senderId = null,
					previousId = null,
					lastSentDate = null,
					lastSent,
					messageDate;
				
				_.each(data.appointmentRequestMessage, function(message){
					message.messageSent = message.senderId === vetId;
					message.isLastMessage = false;
					senderId = ( message.senderId == vetId ? vetId : "!" + vetId );
					if( senderId !== previousId ){
						message.isLastMessage = true;
						previousId = (message.senderId == vetId ? vetId : "!" + vetId );
					}
				});
				return data.appointmentRequestMessage;
			}
		});
	}
);