define([
	'Global',
	'Facility',
	'Resources'

], function(Global, Facility){
	'use strict';

	return Backbone.Collection.extend({
		model: Facility,
		parse: function(response) {
            response.facility = response.facility || [];

            response.facility.unshift({
                title: 'Search Results'
            });

            if (!!localStorage.recentFacilities){
                var recentFacilities = JSON.parse(localStorage.getItem('recentFacilities'));
                for (var i = 0 ; i < recentFacilities.length ; i++){
                    response.facility.unshift(recentFacilities[i]);
                }
                response.facility.unshift({
                    title: 'Recent Facilities'
                });
            }

            return response.facility;

		}
	});
	
});