define([
	'Global',
	'FacilityProvidersModel'
], function(Global, FacilityProvidersModel){
	'use strict';

	return Backbone.Collection.extend({
		model: FacilityProvidersModel,
		initialize: function(config){
			config = config || {};

			if(config.varResources){
				var linkName = 'facility-provider';

				if (!config.PACTs) {
					linkName += '-all';
				}

				this.url = config.varResources.get(linkName).get('href');
			}
		},
		parse: function (response) {
			if(response){
				return response.facilityProviderList;
			}
			return [];
		},
		removeDuplicates: function (collection) {
			var that = this;

			_.each(collection.toJSON(), function (model) {
				that.remove(that.where({facilityId: model.facilityId}));
			});
		}
	});
});