define([
	'Global',
	'User',
	'PatientLink'
], function(Global, User, PatientLink){
	'use strict';
	
	var PatientLinks = Backbone.Collection.extend({
		model: PatientLink,
		initialize: function(userFeeds) {
			var that = this;
			User.deferred.done(function(){
				that.url = User.get("patient").href;
				that.deferred = that.fetch();
			});
		},
		parse: function(response) {
			return response.link;
		}
	});

	PatientLinks.singleInstance = null;

	PatientLinks.instance = function () {
		PatientLinks.singleInstance = PatientLinks.singleInstance || new PatientLinks();
		return PatientLinks.singleInstance;
	};

	return PatientLinks;
	
});