define(['Backbone', 'CalendarData'],
	function(Backbone, CalendarData){
		'use strict';

		return Backbone.Collection.extend({
			model: CalendarData,
			comparator: function (clinic) {
				return -clinic.get('numAvailableSlots');
			},
			parse: function(response){
				var that = this;

				if(!_.isArray(response)){
					response = [response];
				}

				this.totalSlots = 0;

				_.each(response, function (clinic) {
					that.setClinicInfo(clinic);

					that.totalSlots += clinic.appointmentTimeSlot ? clinic.appointmentTimeSlot.length : 0;
				});

				return response;
			},
			setClinicInfo: function (clinic) {
				var facilityClinic = _.find(this.facility.get('clinicList'), function(clinicListItem){
					return clinicListItem.clinicId === clinic.clinicId;
				}) || {};
				clinic.physicalLocation = facilityClinic.physicalLocation || '';
			}
		});

	}
);