define([
	'Global',
	'ResourceLink',
	'User'
], function(Global, ResourceLink, User){

	var VarResources = Backbone.Collection.extend({
		model: ResourceLink,
		url: "../VeteranAppointmentRequestService/rest/appointment-service/var-patient-resource-directory", //Kicks-off dynamic URIs
		initialize: function(){
			var that = this;

			User.deferred.done(function() {
				that.url += "?patientId=" + User.get('id') + "&assigningAuthority=EDIPI";
				that.deferred = that.fetch({
					async: false,
					cache: false
				});
			});
		},
		parse: function(response) {
			return response.link;
		}
	});

	VarResources.singleInstance = null;

	VarResources.instance = function () {
		VarResources.singleInstance = VarResources.singleInstance || new VarResources();
		return VarResources.singleInstance;
	};

	return VarResources;
});