require.config({

    // Paths assumes the js suffix
    paths: {
        // Libraries
        Backbone: '../../libs/js/backbone-1.0.min',
        DatePicker: '../../libs/js/date-picker/jquery.accessibleDatePicker',
        FormParams: '../../libs/js/jquery.formparams',
        Jasmine: '../../test/libs/js/jasmine-1.3.1',
        JasmineHtml: '../../test/libs/js/jasmine-html-1.3.1',
        JasmineJQuery: '../../test/libs/js/jasmine-jquery',
        jquery: '../../libs/js/jquery-1.9.1.min',
        JQM: '../../libs/js/jquery.mobile-1.3.2.min',
        JQMDatebox: '../../libs/js/jqm-datebox.comp.calbox.min',
        ScrollStop: '../../libs/js/date-picker/jquery.scrollstart.scrollstop',
        Marionette: '../../libs/js/backbone.marionette-1.1.0',
        Moment: "../../libs/js/moment-2.7.0",
        Underscore: '../../libs/js/lodash',
        Calendars: '../../libs/js/fullcalendar-custom',
        Mask: '../../libs/js/jquery.mask.min',
        Vent: 'vent',
        RedirectRouter: 'redirectRouter',

        // Tools
        BookmarkBubble: 'tools/bookmark_bubble',
        BookmarkLoad: 'tools/bookmark_load',
        JQMConfig: 'tools/jqm-config',
        Global: 'tools/global',
        IOSOrientationChangeFix: 'tools/ios-orientationchange-fix.min',
        MobileInit: 'tools/mobileinit',
	    NoJqmCollapsible: 'tools/jquery.noJqmCollapsible',

        // Models
        AppointmentMetric: 'models/appointmentMetric',
        AppointmentRequest: 'models/appointmentRequest',
        AppointmentRequestMessage: 'models/appointmentRequestMessage',
        AvailableApptSlot: 'models/availableApptSlot',
        BookedAppointment: 'models/BookedAppt',
        CalendarData: 'models/CalendarData',
        CustomView: 'models/customView',
        DSCancelReasons: 'models/dsCancelReasons',
        Error: 'models/error',
        Facility: 'models/facility',
        LandingPageItemModel: 'models/landingPageItemModel',
        NavigationLink: 'models/navigationLink',
        NotificationPreferences: 'models/notificationPreferences',
	    FacilityProvidersModel: 'models/facilityProvidersModel',
        Patient: 'models/patient',
        PatientContext: '../../libs/js/PatientContext',
        PatientIdentifiers: 'models/patientIdentifiers',
        PatientLink: 'models/patientLink',
        Provider: 'models/provider',
        RequestMetaData: 'models/requestMetaData',
        ResourceLink: 'models/resourceLink',
        User: 'models/user',
        UserSession: 'models/userSession',
        SimpleMessage: 'models/simpleMessage',

        // Collections
        AppointmentRequests: 'collections/appointmentRequests',
        AppointmentRequestMessages: 'collections/AppointmentRequestMessages',
        AvailableApptSlots: 'collections/availableApptSlots',
        BookedAppointments: 'collections/BookedAppts',
        CustomViews: 'collections/customViews',
        ErrorMessages: 'collections/errorMessages',
        Facilities: 'collections/facilities',
        LandingPage: 'collections/landingPageCollection',
        Navigation: 'collections/navigation',
	    FacilitiesProvidersCollection: 'collections/facilitiesProvidersCollection',
        PatientLinks: 'collections/patientLinks',
        ProviderClinics: 'collections/providerClinics',
        Providers: 'collections/providers',
        Resources: 'collections/resources',
        VarResources: 'collections/varResources',
        DSResources: 'collections/dsResources',
        Warnings: 'collections/warnings',

	    // Views

        AppointmentRequestDetailsView: 'views/appointmentRequestDetailsView',
        AppointmentRequestDetailsHeaderView: 'views/appointmentRequestDetailsHeaderView',
        AppointmentRequestDetailsStatusView: 'views/appointmentRequestDetailsStatusView',
        AppointmentRequestDetailsDetailsView: 'views/appointmentRequestDetailsDetailsView',
        AppointmentRequestDetailsMessagesView: 'views/appointmentRequestDetailsMessagesView',
        AppointmentRequestListEmptyView: 'views/appointmentRequestListEmptyView',
        AppointmentRequestsListView: 'views/appointmentRequestsListView',
        AppointmentRequestsListItemView: 'views/appointmentRequestsListItemView',
	    AppointmentRequestSubmittedView: 'views/appointmentRequestSubmittedView',
        BookingLandingPageView: 'views/bookingLandingPageView',
        CalendarDayCompositeView: 'views/calendarDayCompositeView',
        CalendarDayEmptyView: 'views/calendarDayEmptyView',
        CalendarDayItemView: 'views/calendarDayItemView',
        CalendarDayNavView: 'views/calendarDayNavView',
        CalendarLegendView: 'views/calendarLegendView',
        CalendarMonthNavView: 'views/calendarMonthNavView',
        CalendarView: 'views/calendarView',
        ConfirmBookingApptView: 'views/confirmBookingApptView',
        DontSeeExpectedView: 'views/dontSeeExpectedView',

	    DSBackBtnNavView: 'views/dsBackBtnNavView',
        DSAppointmentListing: 'views/dsAppointmentListing',
        DSAppointmentListingItem: 'views/dsAppointmentListingItem',
        DSCancelAppt: 'views/dsCancelView',
        DSCancelApptConfirm: 'views/dsCancelApptConfirmView',
	    DSClinicFacilityInfoView: 'views/dsClinicFacilityInfoView',
        DSClinicListItemView: 'views/dsClinicListItemView',
	    DSClinicSelectionView: 'views/dsClinicSelectionView',
        DSFacilityProviderInfoView: 'views/dsFacilityProviderInfoView',
        DSFacilityListItemView: 'views/dsFacilityListItemView',
        DSFacilitySelectionView: 'views/dsFacilitySelectionView',
	    DSHowToEnroll: 'views/dsHowToEnrollView',
	    DSNoFacilitiesView: 'views/dsNoFacilitiesView',
	    DSNonPACTFacilityItemView: 'views/dsNonPACTFacilityItemView',
	    DSNonPACTFacilityListView: 'views/dsNonPACTFacilityListView',
	    DSNotEligible: 'views/dsNotEligibleView',
	    DSPACTFacilityListView: 'views/dsPACTFacilityListView',
	    DSProfileValidation: 'views/dsProfileValidationView',
	    DSProviderSelectionView: 'views/dsProviderSelectionView',
        DSVeteranEmailView: 'views/dsVeteranEmail',
	    DSViewApptFacilitySelectionView: 'views/dsViewApptFacilitySelectionView',

	    EmailConfirmationView: 'views/emailConfirmationView',
        EmptyApptListView: 'views/emptyApptListView',
	    ErrorBookingApptView: 'views/errorBookingApptView',
	    ErrorCancelingApptView: 'views/errorCancelingApptView',
        ErrorPopupView: 'views/errorPopupView',
        ErrorView: 'views/errorView',
        EulaView: 'views/eulaView',
        EulaFooterView: 'views/eulaFooterView',
        EulaHeaderView: 'views/eulaHeaderView',
        FacilitySelectionList: 'views/facilitySelectionList',
        FacilityListItem: 'views/facilityListItem',
        FacilityTitle: 'views/facilityTitle',
        FacilityAutocompleteListItem: 'views/facilityAutocompleteListItem',
        FooterView: 'views/FooterView',
        HeaderView: 'views/headerView',
        InstructionalHeader: 'views/instructionalHeaderView',
	    PACTListView: 'views/PACTListView',
	    PACTListItemView: 'views/PACTListItemView',
		PopupHeaderView: 'views/popupHeaderView',
        LandingPageView: 'views/landingPageView',
        LandingPageHeaderView: 'views/landingPageHeaderView',
        LandingPageNotLoggedInView: 'views/landingPageNotLoggedInView',
        MainView: 'views/mainView',
        MessagePopupView: 'views/messagePopupView',
        MenuView: 'views/menuView',
		NewAppointmentRequestReviewView: 'views/newAppointmentRequestReviewView',
        NotificationPreferenceSettingsListView: 'views/notificationPreferenceSettingsListView',
	    NotificationSettingsView: 'views/notificationSettingsView',
        ProviderSelectView: 'views/providerSelectView',
        ProviderItemView: 'views/providerItemView',
        RequestListHeaderView: 'views/requestListHeaderView',
		RoaPageView: 'views/roaView',
        SessionWarningView: 'views/sessionWarningView',
        SessionExpiredView: 'views/sessionExpiredView',
        StatusFilterView: 'views/statusFilterView',
        StatusFilterEmptyView: 'views/statusFilterEmptyView',
        StatusFilterItemView: 'views/statusFilterItemView',
        TimeSlotSelectedView: 'views/timeSlotSelectedView',
        UserMenuView: 'views/userMenuView',

        //View - Dialogs
        AboutDialogView: 'views/aboutDialogView',
        ConfirmCancellationAlertDialogView: 'views/confirmCancellationAlertDialogView',
        FeedbackDialogView: 'views/feedbackDialogView',
        MessageItemView: 'views/messageItemView',
        NewRequestDialogView: 'views/newRequestDialogView',
        RequestNoticeDialogView: 'views/requestNoticeDialogView',
        UnfamiliarFacilityDialogView: 'views/unfamiliarFacilityDialogView',
        UnrecognizedNoticeDialogView: 'views/unrecognizedNoticeDialogView',
        WarningItemView: 'views/warningItemView',
        WarningsView: 'views/warningsView',
        //Router
        AppRouter: 'router',

        // html templates
        text: 'text'
    },
    waitSeconds: 200,
    shim: {
        'jquery':{
            exports: '$'
        },
        'FormParams': {
            deps: ['jquery']
        },
        'Global': {
            deps: ['Moment', 'Backbone', 'Marionette', 'FormParams']
        },
        'JQM': {
            deps: ['jquery', 'JQMConfig']
        },
        'JQMConfig': {
            deps: ['jquery']
        },
        'JQMDatebox': {
            deps: ['jquery', 'JQM']
        },
        'DatePicker': {
            deps: ['JQM', 'ScrollStop']
        },
        'Underscore': {
            exports: '_'
        },
        'Backbone': {
            deps: ['jquery', 'Underscore', 'JQM'],
            exports: 'Backbone'
        },
        'Marionette': {
            deps: ['jquery', 'JQM', 'Underscore', 'Backbone'],
            exports: 'Marionette'
        },
        'JasmineJQuery': {
            deps: ['jquery']
        },
        'Jasmine': {
            deps: ['JasmineJQuery'],
            exports: 'Jasmine'
        },
        'JasmineHtml': {
            deps: ['Jasmine'],
            exports: 'Jasmine'
        },
        'Calendars': {
            deps: ['jquery']
        },
        'Mask': {
            deps: ['jquery']
        }
    },
    deps:['RedirectRouter']
});
