define([
	"Global"
],
	function(Global){

		return Backbone.Model.extend({
			defaults: {
				"startDateTime": "",
				"endDateTime": "",
				"bookingStatus": "",
				"remainingAllowedOverBookings": "0",
				"availability": false
			},
			parse: function(response){
				response.start = moment(new Date(response.startDateTime));
                response.end = moment(new Date(response.endDateTime));
                response.bookingStatus = response.bookingStatus ? this.getBookingCode(response.bookingStatus) : "No Availability";

                return response;
			},
            getBookingCode: function(status) {
                var bookingCode = "1",
                    charCode = status.charCodeAt(0);

                if (charCode >= 106 && charCode <= 122) {
                    bookingCode = charCode - 96;
                } else if (status === " " || status.toUpperCase() === "NO AVAILABILITY"){
                    bookingCode = "No Availability";
                } else {
                    bookingCode = status;
                }

                return bookingCode;
            }
		});
			
	}
);