define([
	'Global'
], function(Global){
	'use strict';
	return Backbone.Model.extend({
		defaults: {
			clinicList: [],
			facilityId: "",
			facilityName: "",
			facilityCode: "",
			primaryProviderList: [],
			teamList: []
		},
		parse: function (response) {
			var providerName = "",
				count = 0;

			response.facilityId = response.facilityCode || response.facilityId;

			_.each(response.primaryProviderList, function (primaryProvider) {
				if (count > 0) {
					providerName += ", ";
				}

				providerName += primaryProvider.staffName;

				count++;
			});

			response.providerName = providerName;

			return response;
		}
	});

});