define([
	'Global',
	'Vent',
	'User'
], function(Global, vent, User){
	'use strict';
	
	var Patient = Backbone.Model.extend({
		defaults: {
			"patientId": "",
			"firstName": "",
			"lastName": "",
			"textMessagingAllowed": false,
			"textMessagingPhoneNumber": ""
		},
		initialize: function() {
			var that = this;
			User.deferred.done(function(){
				that.deferred = that.fetch({
					url:User.get("internal-patient-data").href,
					success:function(response){
						Global.getUtilities().flattenLinks(response);
					},
					error: function(err){
//						vent.trigger("show:errorpopup", "Error loading patient data. Error: " + err);
					}
				});
			});
		},
		parse: function (response) {
			response.patientId = response.patientId || response.patientIdentifier.uniqueId;

            response.firstName = response.firstName || '';

			return response;
		}
	});

	Patient.singleInstance = null;

	Patient.instance = function () {
		Patient.singleInstance = Patient.singleInstance || new Patient();
		return Patient.singleInstance;
	};

	return Patient;
});