define([
	'Global',
	'PatientLinks'

], function(Global, PatientLinks){
	'use strict';
	
	var PatientIdentifiers = Backbone.Model.extend({
		initialize: function() {
			var that = this;

			PatientLinks.instance().deferred.done(function () {
				that.url = PatientLinks.instance().get('patient-identifiers').get('href');
				that.deferred = that.fetch();
			});
		},
		hasDfnOrIcn: function(){
			var identifiers, matches;

            identifiers = this.get("patientIdentifier") || [];
			matches = [_.find(identifiers, function(authority){
				return ["ICN","DFN"].indexOf(authority.assigningAuthority) >= 0;
			})];
			return matches.length > 0;
		}
	});

	return new PatientIdentifiers();
	
});