define([
	'Global',
	'VarResources'
], function(Global, VarResources){
	'use strict';

	var RequestMetaData = Backbone.Model.extend({
			initialize: function() {
				this.url = VarResources.instance().get("var-metadata").get("href");
				this.deferred = this.fetch();
			},
			defaults: {
				appointmentTypes:[
					"Primary Care",
					"Mental Health"
				],
				userEmail: "",
				userPhone: "",
				bestTimetoCallOptions:[
					"9 AM - 11 AM",
					"11 AM - 1 PM",
					"1 PM - 3 PM",
					"3 PM - 4 PM"
				],
				visitTypes:[
					"Office Visit",
					"Phone Call",
					"Video Conference"
				],
				purposeOfVisitOptions:[
					"Medication concern",
					"Routine follow-up",
					"New issue",
					"Other"
				],
				earliestTimeVeteranCanRequestAppointmentInDays:4,
				farthestTimeVeteranCanRequestAppointmentInDays:120,
				appointmentRequestStatusOptions:[
					"All",
					"Submitted",
					"Booked",
					"Not Booked",
					"Cancelled"
				]
			},
			parse: function( response ){
				response.appointmentRequestStatusOptions.splice(0,0, "All");
				return response;
			}
		});
	return new RequestMetaData();
});