define([
	'Global',
	'Vent',
	'Resources'
], function(Global, Vent, resources){
    'use strict';

	var User = Backbone.Model.extend({
		defaults: {
			"id":"",
			"lastName":"",
			"firstName":"",
			"displayName":"",
			"rightOfAccessAccepted":false,
			"link":"",
			"vistaLocation":"",
			"facilityName":""
		},
		initialize: function() {
			var that = this;

			resources.deferred.done(function () {
				that.url = resources.get('mhpuser').get('href');
				that.deferred = that.fetch({async: false});
           	    Global.getUtilities().flattenLinks(that);
			});
		},
		checkForROA: function() {
			return this.get('rightOfAccessAccepted');
		},
        parse: function (response) {
            response.firstName = response.firstName || '';

            return response;
        }
	});

	return new User();
});