(function (factory) {
	if (typeof define === 'function' && define.amd) {
		define(['jquery'], factory);
	} else {
		factory(jQuery);
	}
}(function($) {
	'use strict';
	$.fn.extend({
		noJqmCollapsible: function () {
			var $el = this,
				widget = {
					$el: $el,
					_init: function () {
						var that = this,
							$header = this.$el.find('.header'),
							$insideHeader = $header.html();

						if (!this.$el.hasClass('no-jqm-collapsible')) {
							this.$el.addClass('no-jqm-collapsible');
							this.$el.find('.header').addClass('no-jqm-collapsible-header');
							this.$el.find('.content').addClass('no-jqm-collapsible-content');

							$header
								.addClass('no-jqm-collapsible-header')
								.html(this._templates().innerButton);

							if (this.$el.attr('data-open') === "true") {
								this.$el.addClass('no-jqm-collapsible-open');
							}

							$header.find('.no-jqm-button-text').html($insideHeader);

							this.$el.find('.no-jqm-collapsible-header').on('click', function () {
								that.toggle();
							});
						}
					},
					_templates: function () {
						return {
							innerButton: '<span class="no-jqm-button-text"></span>'
						}
					},
					toggle: function () {
						this.$el.toggleClass('no-jqm-collapsible-open');
						this.$el.find('.no-jqm-collapsible-header').focus();
					}
				};

			widget._init();

			return widget;
		}
	});
}));
