define(['Global', 'Vent', 'PACTListItemView', 'text!../html/PACTList.html'],
	function(Global, vent, PACTListItemView, template){
		'use strict';

		return Backbone.Marionette.CompositeView.extend({
			template: _.template(template),
			itemView: PACTListItemView,
			itemViewContainer: '#PACT-list',
			initialize: function (options) {
				options = options || {};

				this.callBack = options.callBack;
			},
			events: {
				'click #close-PACT-list-btn': 'closePopup'
			},
			closePopup: function(){
				this.undelegateEvents();
				vent.trigger('close:popup');
			},
			onShow: function(){
				this.delegateEvents();
			}
		});
	}
);