define([
    'Global',
	'Vent',
    'text!../html/aboutDialog.html',
    'text!../../version.json'
],
    function (Global, vent, dialogTemplate, version){
        'use strict';

        return Backbone.Marionette.ItemView.extend({
            template:_.template(dialogTemplate),
            attributes: {
                'id': 'about',
                'class': 'type-interior'
            },
	        events: {
				'click #about-ok-btn': 'closeDialog'
	        },
            ui:{
                version: "#version"
            },
            initialize: function(options){
                var options = options || {};
                this.attributes = $.extend(true, this.attributes, options.attributes);
                var versionConfig = $.parseJSON(version);
                this.appVersion = versionConfig.version;
                if(versionConfig.build){
                    this.appVersion += "." + versionConfig.build;
                }
            },
            onShow: function(){
                this.ui.version.text(this.ui.version.text() + this.appVersion);
	            this.delegateEvents();
            },
	        closeDialog: function () {
				this.undelegateEvents();
		        vent.trigger("close:popup");
	        }
        });
    }
);