define([
	'Global',
	'Vent',
	'text!../html/appointmentRequestDetailsDetails.html',
	'text!../html/appointmentRequestDetailsDetailsByPhone.html'

], function(Global, Vent, appointmentRequestDetailsDetailsTemplate, byPhoneTemplate){
	'use strict';
	
	return Backbone.Marionette.ItemView.extend({
		getTemplate: function(){
			if(this.model.get('requestedPhoneCall') || this.byPhone){
				return _.template(byPhoneTemplate);
			} else{
                return _.template(appointmentRequestDetailsDetailsTemplate);
            }
		},
		initialize: function(options){
			options = options || {};

			this.byPhone = options.byPhone;
		},
		modelEvents:{
			"change": "render"
		},
		onRender: function(){
			if (this.options.viewContainer) {
				this.options.viewContainer
					.empty()
					.append(this.$el);
			}

			this.$el.parent().trigger("create");
		},
		onShow: function () {
			this.$el.trigger('create');
		},
		templateHelpers: function () {
			var that = this;
			return {
				yesNo: function(value){
					return (/^false$/i.test(value) || !value ? "No" : "Yes");
				},
				isBooked: function(){
					return that.model.isBooked();
				},
				getBookedApptDateTime: function(){
					return this.bookedApptDateTime || "";
				}
			}
		}
	});
});