define([
	'Vent',
	'Global',
	'text!../html/appointmentRequestDetailsHeader.html'
], function(Vent, Global, appointmentRequestDetailsHeaderTemplate){
	'use strict';
	
	return Backbone.Marionette.ItemView.extend({
		template:_.template(appointmentRequestDetailsHeaderTemplate),
		className: "sub-header",
		modelEvents:{
			change: "render onShow"
		},
		ui:{
			cancelRequestBtn: "#cancel-request-btn"
		},
		events:{
			"click #requests": "showRequestList",
			"click #cancel-request-btn": "cancelRequest"
		},
		showRequestList: function(e){
			e.preventDefault();
			Vent.trigger("show:request:listing");
		},
		cancelRequest: function(e){
			e.preventDefault();
			Vent.trigger("show:request:cancel", this.model );
		},
		toggleAvailableButtons: function(){
			var request = this.model;
			if( request.isSubmitted() || 
				( request.isBooked() && ( new Date(request.getAppointmentDate()) > new Date() || request.isSecondRequest() ) )
			){
				this.displayNone(this.ui.cancelRequestBtn, "remove");
			}
			else{
				this.displayNone(this.ui.cancelRequestBtn, "add");	
			}
		},
		displayNone: function(ele, action){
			ele[action + "Class"]("display-none-important");
		},
		onShow: function(){
			this.delegateEvents();
			this.toggleAvailableButtons();
			this.$el.trigger("create");
		}
	});
});

	