define([
	'Global',
	'Vent',
	'text!../html/appointmentRequestDetailsStatus.html'

], function(Global, Vent, appointmentRequestDetailsStatusTemplate){
	'use strict';
	
	return Backbone.Marionette.ItemView.extend({
		template: _.template(appointmentRequestDetailsStatusTemplate),
		modelEvents:{
			"change": "render"
		},
		events:{
			"click #schedule-list-btn": "showAppointments"
		},
		showAppointments: function(){
			Vent.trigger("show:direct-scheduling:view");
		},
		onRender: function(){
			this.delegateEvents();
			this.$el.trigger("create");
		},
		onShow: function(){
			this.$el.trigger("create");
		},
		templateHelpers:function(){
			var that = this;
			return {
				getModel: function(){
					return that.model;
				},
				showLatestDetailCodeVetMessage: function(){
					var vetMessage = that.model.getDetailCode()[0].detailCode.veteranMessage;
					if( !vetMessage ){
						return "";
					}
					if( that.model.isNotBooked() ){
						return vetMessage.replace('%s', that.model.getLastUpdatedDate()).replace('%s', '')
					}
					return vetMessage.replace('%s', that.model.getAppointmentDate()).replace('%s', that.model.get('appointmentTime'));
				},
				getBookedApptDateTime: function(){
					return this.bookedApptDateTime || "";
				}
			}
		}
	});
});