define(['Global', 'Vent', 'AppointmentRequestDetailsDetailsView', 'text!../html/appointmentRequestSubmitted.html'],
	function(Global, vent, AppointmentRequestDetailsDetailsView, template){
		'use strict';

		return Backbone.Marionette.Layout.extend({
			template: _.template(template),
			regions: {
				requestDetails: 	'#request-details'
			},
			events:{
				"click #ok-btn": "showApptRequests",
				"click #change-settings": "showNotificationSettings"
			},
			showApptRequests: function(){
				vent.trigger("show:request:listing", {refetch: true});
			},
			showNotificationSettings: function(){
				vent.trigger("show:request:listing", {openSection: "settings"});
			},
			templateHelpers: function(){
				var that = this;
				return {
					getNotificationSettings: function(){
						var text = "",
							freq = that.prefs.get('notificationFrequency');
						if(that.prefs.get('emailAllowed')){
							text = "Notifications are sent to " + that.prefs.get('emailAddress'); 
							if(freq){
								text += " for " + freq.toLowerCase();
							}
							return text;
						}
						return text;
					}
				}
			},
			onShow: function(){
				var that = this;
				this.requestDetails.show(
					new AppointmentRequestDetailsDetailsView({
						model: that.model,
						byPhone: that.model.get('byPhone')
					})
				);
				this.delegateEvents();
			}
		});
	}
);