define([
	'Global',
	'Vent',
	'text!../html/appointmentRequestListItem.html'

], function(Global, Vent, appointmentRequestListItemTemplate){
	'use strict';
	
	return Backbone.Marionette.ItemView.extend({
		tagName: 'li',
		template: _.template(appointmentRequestListItemTemplate),
		modelEvents:{
			"change hasVeteranNewMessage": "render"
		},
		events:{
			"tap a": "showDetail",
			"keydown a": "handleKeyDown"
		},
		showDetail: function(e){
			e.preventDefault();
			Vent.trigger("show:request:detail", this.model );
		},
		onRender: function(){
			if(this.model.hasAccessChanged(this.model.get("lastAccessDate"))){
				this.$el.find('a').addClass("ui-btn-up-e");
			}
		},
		handleKeyDown: function (e) {
			if (e.which === 13) {
				e.preventDefault();

				$(e.currentTarget).trigger('tap');
			}
		},
		templateHelpers: function(){
			var that = this;
			return {
				getStatus: function(){
					if(/^Cancelled/i.test(that.model.get('status'))){
						return "Request " + that.model.get('status');
					}
					return that.model.get('status');
				},
				booked: function(){
					return that.model.isBooked();
				},
				getBookedApptDateTime: function(){
					return that.model.get('bookedApptDateTime') || "";
				}
			}
		}
	});
});