define(
    ['Global', 'Vent', 'text!../html/bookingLandingPageView.html'],
    function(Global, vent, template){
        'use strict';
        return Backbone.Marionette.ItemView.extend({
            id: 'landing-page-list',
            template: _.template(template),
            events: {
                "click #schedule-appointment": "showDirectSchedulingBooking",
                "click #request-by-phone": "showNewRequestByPhone",
                "click #new-request": "showNewRequest",
                "click #request-notice": "showRequestNoticeDialog",
                "click #enroll-primary-care": "showDSHowToEnroll"
            },
            onShow: function(){
                this.delegateEvents();
            },
            showDirectSchedulingBooking: function(){
                vent.trigger("show:direct-scheduling:book");
            },
            showNewRequestByPhone: function(){
                vent.trigger("show:request:new-phone", {close: false});
            },
            showNewRequest: function(){
                vent.trigger('show:request:new', {close: false});
            },
            showDSHowToEnroll: function(){
                vent.trigger("show:direct-scheduling:how-to-enroll", {fromBooking:true});
            },
            showRequestNoticeDialog: function(){
                vent.trigger("show:requestNoticeDialog", {close: true});
            },
            goBack: function(){
                vent.trigger("show:landing");
            }
        });
    }
)