define([
	'Global',
    'CalendarDayItemView',
    'CalendarDayEmptyView',
    'text!../html/calendarDayInstructions.html'
],
	function(Global, CalendarDayItemView, CalendarDayEmptyView, template){
		'use strict';
		return Backbone.Marionette.CompositeView.extend({
			id: 'cal-day-wrapper',
            itemView: CalendarDayItemView,
            emptyView: CalendarDayEmptyView,
            template: _.template(template),
            modelEvents: {
                'change': 'updateItemView'
            },
            onRender: function(){
                this.delegateEvents();
            },
            onShow: function(){
                $('.facility-provider-info').removeClass('display-none');
            },
            refreshSlots: function(){
                this.collection = new Backbone.Collection(this.model.getSlotsForDay(this.model.get('selectedDate')));

                return this;
            },
            updateItemView: function(){
                this.refreshSlots();
                this.render();
            }
		});
	}

);