define([
	'Global',
    'Vent',
	'text!../html/calendarDayItem.html'
],
	function(Global, vent, template){
		'use strict';
		return Backbone.Marionette.ItemView.extend({
			className: 'appointment-day-slots',
			template: _.template(template),
            events: {
                "click button:not(:disabled)": "showTimeSelection"
            },
			initialize: function (){
				this.model.set('formattedStart', moment(this.model.get('start')).format('HH:mm'));
                this.model.set('patientAppt', this.model.get('appointmentId') ? 'patient-appt' : false);
			},
            showTimeSelection: function () {
                vent.trigger('show:time-selection:view', this.model);
            }
		});
	}

);