define(
	[
		'Global',
		'Vent',
		'text!../html/confirmBookingAppt.html'
	],

	function(Global, vent, template){
		'use strict';
		return Backbone.Marionette.ItemView.extend({
			id: 'confirm-appt',
			className: 'confirm',
			template: _.template(template),
			onRender: function () {
				this.delegateEvents();
			},
			events: {
				'click #ok-btn': 'showLanding',
                'click #email-reminder': 'showVeteranEmailForm'
			},
            showVeteranEmailForm: function(){
                vent.trigger('show:veteran-email-form', this.model, "book");
            },
			showLanding: function(){
				vent.trigger('show:landing');
			},
			templateHelpers: function () {
				var that = this;
				return {
					getAppointmentDateTime: function(){
						return moment(new Date(that.model.get('startDateTime'))).format('dddd, MMMM D, YYYY @ HH:mm');
					}
				}
			}
		});
	}
);