define(['Global', 'Vent', 'DSAppointmentListingItem', 'text!../html/dsAppointmentListing.html', 'text!../html/appointmentListEmpty.html'],
	function(Global, vent, DSAppointmentListingItem, template, emptyTemplate){
		'use strict';

		return Backbone.Marionette.CompositeView.extend({
			template: _.template(template),
			itemView: DSAppointmentListingItem,
			itemViewContainer: 'fieldset',
			itemViewOptions: function(){
                return {
					facility: this.model
				};
			},
			collectionEvents: {
				reset: 'setEmptyView'
			},
			setEmptyView: function(){
				this.emptyView = Backbone.Marionette.ItemView.extend({attributes:{'class':'label'},template:_.template(emptyTemplate)});
				this.render();
			},
			goBack: function(){
				vent.trigger('show:direct-scheduling:view');
				this.close();
			},
			onShow: function(){
                this.$el.find('fieldset').empty();
				this.delegateEvents();
			}
		});
	}
);