define(['Global', 'Vent', 'text!../html/dsAppointmentListingItem.html', 'text!../html/dsAppointmentListingItemCancel.html'],
	function(Global, vent, template, cancellable){
		'use strict';

		return Backbone.Marionette.ItemView.extend({
			attributes: {
				'class': 'label'
			},
			initialize: function(options){
				this.facility = options.facility
			},
			getTemplate: function(){
				if(!this.facility.get('nonPACT') && this.model.isPrimaryCareAppt()){
					return _.template(cancellable);
				}
				return _.template(template);
			},
			events: {
				'click button': 'cancel'
			},
			cancel: function(){
				vent.trigger( "show:direct-scheduling:cancel", this.model, this.facility );
			},
			templateHelpers: function(){
				var that = this;
				return {
					getFacility: function(){
						return that.facility.get('facilityName') || '';
					},
					getClinic: function(){
						return that.model.get('clinicName') || '';
					},
					getAppointmentDate: function(){
						return moment(that.model.get('start')).format("dddd, MMMM DD, YYYY @ HH:mm");
					}
				}
			}
		});

	}
);