define(['Global', 'Vent', 'text!../html/dsCancelApptConfirm.html'],
	function(Global, vent, template){
		'use strict';

		return Backbone.Marionette.ItemView.extend({
			template: _.template(template),
			events:{
				"click #ok-btn": "showLanding",
				"click #email-reminder": "showVeteranEmailForm"
			},
			showVeteranEmailForm: function(){
				vent.trigger('show:veteran-email-form', this.model);
			},
			showLanding: function(){
				vent.trigger("show:landing");
			},
			templateHelpers: function(){
				return {
					getAppointmentDateTime: function(){
						return moment(new Date(this.start)).format("dddd, MMMM DD, YYYY @ HH:mm");
					},
					getFacilityClinic: function(){
						return this.facility.facilityName + ", " + this.clinic.name;
					},
					getProvider: function(){
						return this.providerName;
					}
				}
			},
			onShow: function(){
				this.$el.trigger("create");
				this.delegateEvents();
			}
		});
	}
);