define(['Global', 'Vent', 'text!../html/dsClinicListItem.html'],
	function(Global, vent, template){
		"use strict";

		return Backbone.Marionette.ItemView.extend({
			template: _.template(template),
			className: 'label-list-item',
			initialize: function (options) {
				options = options || {};
				this.first = options.first;
			},
			events: {
				"change input[type='radio']": "setClinic",
				"click input[type='radio']": "setClinic"
			},
			setClinic: function(){
				vent.trigger("set:direct-scheduling:clinic", this.model);
			},
			onBeforeRender: function () {
				if (!this.model.get('numAvailableSlots')) {
					this.$el.addClass('disabled');
				} else {
					this.$el.removeClass('disabled');
				}
			},
			onShow: function () {
				if(this.first){
					this.$el.find("input").click().change();
				}
			}
		});
	}
);