define(['Global', 'Vent', 'text!../html/dsFacilityListItem.html', 'NoJqmCollapsible'],
	function(Global, vent, template){
		"use strict";

		return Backbone.Marionette.ItemView.extend({
			template: _.template(template),
			className: 'label-list-item',
			initialize: function(options){
				this.first = options.first;
			},
			events: {
				"change input[type='radio']": "setFacility",
				"click input[type='radio']": "setFacility",
				"click .show-PACT": "showPACTMembers"
			},
			setFacility: function(){
				vent.trigger("set:direct-scheduling:facility", this.model);
			},
			showPACTMembers: function () {
				vent.trigger("show:PACT-list", this.model);
			},
			onShow: function(){
				if(this.first){
					this.$el.find("input").click().change();
				}
			}
		});
	}
);