define(['Global', 'Vent', 'DontSeeExpectedView', 'DSFacilityListItemView', 'text!../html/dsFacilitySelectionList.html'],
	function(Global, Vent, DontSeeExpectedView, DSFacilityListItemView, template){
		"use strict";

		return Backbone.Marionette.CompositeView.extend({
			itemViewContainer: "#facilities",
			attributes:{
				id: "direct-scheduling-facilities",
                class: "auto-center"
			},
			itemView: DSFacilityListItemView,
			itemViewOptions: function(model, index){
				var that = this;
				return {
					first: that.collection.length === 1
				}
			},
			template: _.template(template),
			events:{
				"change input": "enableButton",
				"click #book-appointment": "showClinicSelection"
			},
			collectionEvents: {
				"sync": "render"
			},
			ui:{
				dontSee: ".dont-see-expected",
				bookBtn: "#book-appointment",
				facilities: "#facilities",
                facilitiesForm: "#facilities-form"
			},
			initialize: function () {
				this.dontSeeExpected = new DontSeeExpectedView();
			},
			enableButton: function(){
				this.ui.bookBtn[0].disabled = false;
			},
			showClinicSelection: function(){
                Vent.trigger("show:ds-clinic-date:view", this.facility);
			},
            onRender: function(){
            	this.delegateEvents();

	            this.ui.dontSee.append(this.dontSeeExpected.render().$el);

	            if(this.collection.length == 1){
		            this.children.first().onShow();
	            }

	            this.$el.find('[value="' + this.model.get('facilityCode') + '"]').click().change();

	            if ($('#facilities input:checked').length) {
		            this.enableButtons();
	            }
            },
			onBeforeClose: function(){
				this.dontSeeExpected.close();
			},
			goBack: function(){
				Vent.trigger("show:bookingLandingPage");
			}
		});
	}
);