define(['Global', 'Vent', 'text!../html/dsNonPACTFacilityItem.html'],
	function(Global, vent, template){
		"use strict";

		return Backbone.Marionette.ItemView.extend({
			template: _.template(template),
			className: 'label-list-item',
			initialize: function(options){
				this.first = options.first;
			},
			events: {
				"change input[type='radio']": "setFacility",
				"click input[type='radio']": "setFacility"
			},
			setFacility: function(){
				this.model.set({'nonPACT': true});
				vent.trigger("set:direct-scheduling:facility", this.model);
			},
			onShow: function(){
				if(this.first){
					this.$el.find("input").click().change();
				}
			}
		});
	}
);