define(['Global', 'Vent', 'text!../html/dsNotEligible.html'],
	function(Global, vent, template){
		'use strict';

		return Backbone.Marionette.ItemView.extend({
			template: _.template(template),
			events:{
				"click #ok-btn": "showLanding",
				"tap #request-appointment": "showNewRequest",
				"keydown #request-appointment": "handleKeyDown"
			},
			showLanding: function(){
				vent.trigger("show:landing");
			},
			showNewRequest: function(){
				vent.trigger("show:request:listing");
				vent.trigger("show:request:new");
			},
			onShow: function(){
				this.delegateEvents();
			},
			handleKeyDown: function (e) {
				if (e.which === 13 || e.which === 32) {
					e.preventDefault();
					$(e.currentTarget).trigger('tap');
				}
			},
			goBack: function(){
				vent.trigger('show:landing');
			}
		});
	}
);