define(['Global', 'Vent', 'DSFacilityListItemView', 'text!../html/dsPACTFacilityList.html'],
	function(Global, Vent, DSFacilityListItemView, template){
		"use strict";

		return Backbone.Marionette.CompositeView.extend({
			itemViewContainer: ".facilities",
			attributes:{
				id: "PACT-facilities",
				class: "auto-center"
			},
			itemView: DSFacilityListItemView,
			template: _.template(template),
			events:{
				"change input": "enableButton"
			},
			collectionEvents: {
				"sync": "render"
			},
			templateHelpers: function () {
				var that = this;

				return {
					hasFacilities: function () {
						return that.collection.length;
					}
				}
			},
			enableButton: function(){
				Vent.trigger('enable:view-button');
			},
			onRender: function(){
				this.delegateEvents();

				if (this.$el.find('.facilities input:checked').length) {
					this.enableButton();
				}
			}
		});
	}
);