define(['Global', 'Vent', 'text!../html/dsViewApptFacilitySelection.html'],
	function(Global, Vent, template){
		"use strict";

		return Backbone.Marionette.Layout.extend({
			attributes: {
				id: "direct-scheduling-facilities",
				class: "auto-center"
			},
			template: _.template(template),
			regions: {
				PACTFacilities: ".PACT-facilities-list",
				nonPACTFacilities: ".non-PACT-facilities-list"
			},
			events: {
				"click #view-appointments": "viewAppointments"
			},
			ui: {
				facilities: "input",
				viewBtn: "#view-appointments"
			},
			enableButton: function() {
				this.ui.viewBtn[0].disabled = false;
			},
			viewAppointments: function() {
				Vent.trigger("show:direct-scheduling:appointment-listing", this.facility);
			},
			onRender: function() {
				this.delegateEvents();

				if(this.ui.facilities.length === 1) {
					this.ui.facilities.eq(0).click().change();
				}

				this.$el.find('[value="' + this.model.get('facilityCode') + '"]').click().change();
			},
			goBack: function() {
				Vent.trigger("show:landing");
			}
		});
	}
);