define([
    'Global',
    'text!../html/errorPopup.html'
], function(Global, errorPopupTemplate){
    'use strict';
    
    return Backbone.Marionette.ItemView.extend({
        template: _.template(errorPopupTemplate),
        className: "error-popup-wrapper",
        id: "message-for-user",
        attributes: {
            "data-role": "popup",
            "class": "ui-corner-all",
            "data-theme": "a",
            "data-history": "false"
        },
        events: {
            "click #ok-btn": "closePopup"
        },
        initialize: function(options){
            options = options || {
                title: "Error",
                message: "Error has occurred."
            };

            this.model = new Backbone.Model({title: options.title, message: options.message});
            this.render();
        },
        onRender: function(){
            var $container = $('body');
            $container.append(this.$el);
            this.$el.trigger('create').popup({history: false}).popup('open');
        },
        onClose: function(){
            this.closePopup();
        },
        closePopup: function(){
            this.$el.popup('close').popup("destroy");
            this.remove();
        }
    });   
});

