define(['Global', 'Vent', 'text!../html/facilityAutocompleteListItem.html'],
	function(Global, vent, template){
		'use strict';

		return Backbone.Marionette.ItemView.extend({
			tagName: 'li',
			template: _.template(template),
			initialize: function(options){
				this.view = options.view;
			},
			events:{
				'click a': 'selectFacility',
				'keydown a': 'selectFacility',
				'focus a': 'setFacilityFocus',
				'blur a' : 'killFacilityFocus',
				'keydown': 'kill'
			},
			kill: function(e){
				e.preventDefault();
			},
			selectFacility: function(e){
				e.preventDefault();
				if(this.view && ( e.type == 'click' || _.indexOf([13,32], e.which ) > -1 ) ){
					this.view.setFacility(this.model);
				}
			},
			setFacilityFocus: function(){
				this.$el.addClass('ui-focus');
			},
			killFacilityFocus: function(){
				this.$el.removeClass('ui-focus');
			}
		});

	}
);