define(['Global', 'Vent', 'text!../html/facilityListItem.html'],
	function(Global, vent, template){
		"use strict";

		return Backbone.Marionette.ItemView.extend({
			template: _.template(template),
			className: 'label-list-item',
			events: {
				"click button": "setFacility"
			},
			setFacility: function(){
                if (localStorage.recentFacilities){
                    var that = this,
                        recentFacilities = JSON.parse(localStorage.getItem('recentFacilities')),
                        checkFacilityDuplicates = $.grep(recentFacilities, function(facility){
                            return facility.facilityCode === that.model.get('facilityCode');
                        });
                    if (!checkFacilityDuplicates.length){
                        recentFacilities.unshift(this.model);
                        localStorage.setItem('recentFacilities', JSON.stringify(recentFacilities));
                    }
                } else {
                    localStorage.setItem('recentFacilities', JSON.stringify([this.model]));
                }

                vent.trigger("set:new-request:facility", this.model);
			}
		});
	}
);