define([
    'Global',
	'Vent',
	'VarResources',
    'text!../html/feedbackDialog.html'
],
    function (Global, vent, VarResources, dialogTemplate){
        'use strict';

        return Backbone.Marionette.ItemView.extend({
	        template:_.template(dialogTemplate),
            attributes: {
                'id': 'feedback',
                'class': 'type-interior'
            },
	        events: {
		        'click #cancel-feedback': 'closeDialog',
		        'click #submit-feedback': 'submitFeedback',
		        'change input[type="radio"]': 'enableSubmit'
	        },
			ui: {
				cancel: '#cancel-feedback',
				submit: '#submit-feedback'
			},
            initialize: function(options){
                var options = options || {};
                $.extend(this.attributes, options.attributes);
            },
            onShow: function(){
	            this.delegateEvents();
				this.$el.trigger('create');
            },
			closeDialog: function () {
				this.undelegateEvents();
				vent.trigger("close:popup");
			},
	        enableSubmit: function () {
				this.ui.submit[0].disabled = false;
	        },
	        submitFeedback: function (e) {
				this.ui.submit[0].disabled = true;
				this.ui.cancel[0].disabled = true;

		        var formJSON = $('#feedback-form').formParams(),
			        feedbackModel = new Backbone.Model(formJSON),
			        that = this;

		        feedbackModel.save({}, {
			        url: VarResources.instance().get('var-feedback').get('href'),
			        error: function() {},
			        success: function(){
						$('.message')
							.eq(0)
							.removeClass('display-none')
							.text('Thank you!  Your feedback has been submitted.');

				        setTimeout(function() {
							that.ui.cancel[0].disabled = false;
					        that.closeDialog();
				        }, 2000);
			        }
		        });
	        }
        });
    }
);