define([
	'Vent',
	'Global',
	'text!../html/header.html'
], function(vent, Global, template){
	'use strict';

	return Backbone.Marionette.ItemView.extend({
		model: new Backbone.Model(),
		template:_.template(template),
		events: {
			'click #menu-btn, #user-menu-btn': 'togglePanel',
			'keydown #menu-btn, #user-menu-btn': 'handlePanelTab'
		},
		modelEvents:{
			"change headerTitle": "render"
		},
		onRender: function () {
			this.mapPanelsToButtons();
			this.delegateEvents();
		},
		mapPanelsToButtons: _.once(function () {
			this.associatedPanel = {
				'menu-btn': $('#menu'),
				'user-menu-btn': $('#user-menu')
			};
		}),
		onShow: function(){
			this.$el.trigger("create");
		},
		setHeaderTitle: function (title) {
			this.model.set('headerTitle', title);

			return this;
		},
		removeClasses: function (e) {
			var $panel = this.associatedPanel[e.currentTarget.id];
			$panel.removeClass('ui-panel-closed display-none');
		},
		togglePanel: function (e) {
			var $panel, height;
			$panel = this.associatedPanel[e.currentTarget.id];
			this.removeClasses(e);

			$panel.toggleClass('ui-panel-open');
			if ($('.ui-panel-open').length) {
				height = $('.content').height()  +$('footer').height();
				$('.menu-open').addClass('cover').css('height',height +'px' );
			} else {
				$('.menu-open').removeClass('cover').css('height', '');
			}
			$('.ui-panel-open').not($panel).removeClass('ui-panel-open');
			if($panel[0].id === 'user-menu'){
				Global.getUtilities().resizeUserMenu();
			}
			if(!$panel.hasClass('ui-panel-open')) {
				setTimeout(function () {
					$panel.addClass('display-none');
				}, 350);
			}
		},
		handlePanelTab: function (e) {
			var $panel = this.associatedPanel[e.currentTarget.id],
				$panelButtons = $panel.find('a, button');

			if ($panel.hasClass('ui-panel-open') && e.which === 9) {
				e.preventDefault();
				$panelButtons.eq(e.shiftKey ? -1 : 0).focus();
			}
		}
	});
});
