define(['Global', 'text!../html/landingPageNotLoggedIn.html'],
	function(Global, template){
		"use strict";

		return Backbone.Marionette.ItemView.extend({
			template: _.template(template),
            attributes: {
                'id': 'not-logged-in',
                'class': 'auto-center'
            },
			events: {
				"click #login": "showLogin",
				'click #launchpad': 'showLaunchpad'
			},
            ui: {
                login: "#login",
                launchpad: '#launchpad'
            },
			showLogin: function(){
				var utilities = Global.getUtilities();

				window.location = utilities.getReferencePath() + '../MobileHealthPlatformWeb/oauthlogin?redirect_uri=' + utilities.getReferencePathWithHash();
			},
			showLaunchpad: function () {
                window.location = "../../../launchpad";
			},
            onShow: function(){
                this.ui.login.focus();
            }
		});
	}
);