define(['Global', 'Vent', 'User', 'text!../html/landingPage.html'],
	function(Global, Vent, User, template){
		"use strict";

		return Backbone.Marionette.ItemView.extend({
			attributes:{
				id: "landing-page-container",
                class: "auto-center"
			},
			template: _.template(template),
			events:{
				"click #view-appointments": "showBookedAppointments",
				"click #requests": "showRequests",
                "click #schedule-appointment": "showBookingLandingPage",
				"click #ds-how-to-enroll": "showDSHowToEnroll"
			},
			collectionEvents:{
				sync: "render onShow"
			},
			initialize: function(config){
				var that = this;
				this.requests = config.requests;
				this.requests.on("sync", function(){
					that.render();
					that.onShow();
				});
			},
			showRequests: function(){
				Vent.trigger("show:request:listing");
			},
			showBookedAppointments: function(){
				Vent.trigger("show:direct-scheduling:view");
			},
            showBookingLandingPage: function(){
				Vent.trigger("show:bookingLandingPage");
			},
			showDSHowToEnroll: function(){
				Vent.trigger("show:direct-scheduling:how-to-enroll");
			},
			onShow: function(){
				this.$el.trigger("create");
				this.delegateEvents();
			},
			templateHelpers: function(){
				var that = this;
				return {
					getNumUnreadMessages: function(){
						var seenInstructions = (Global.getUtilities().getSetSeenInstructions({action: "get", userId: User.id}) || that.requests.length) ? 0 : 1,
							numUnreadMessages = that.requests.countUnreadMessages();

						return numUnreadMessages ? numUnreadMessages : seenInstructions;
					}
				};
			}
		});
	}
);