define([
    'Global',
    'text!../html/main.html'
],
    function (Global, mainTemplate){
        'use strict';

        return Backbone.Marionette.Layout.extend({
	        el: "#main",
            template:_.template(mainTemplate),
            regions:{
                header: "#header",
                contentHolder: "#content-holder",
                content: ".content",
                facilityProviderInfo: '.facility-provider-info',
                footer: ".footer",
				popupHeader: "#popup-header",
				popupContent: "#popup-content",
                popupFooter: "#popup-footer",
	            subHeader: '#sub-header',
                infoBox: '.info-box',
                instructionalHeader: '#instructional-header',
	            menu: "#menu",
	            userMenu: "#user-menu",
                popup: "section#popup",
                nonPopup: "#non-popup"
            },
			events: {
				'click button:not(#user-menu-btn, #menu-btn), h1, #instructional-header, .info-box, #sub-header': 'closePanels'
			},
            onShow: function(){
                this.$el.trigger("create");
            },
			closePanels: function () {
				$('.ui-panel-open').removeClass('ui-panel-open');
				$('.cover').removeClass('cover');
			}
        });
    }
);