define([
	'Vent',
	'Global',
	'text!../html/menu.html'
], function(vent, Global, template){
	'use strict';

	return Backbone.Marionette.ItemView.extend({
		template:_.template(template),
		className: "panel-menu",
		events: {
			'click a': 'closePanel',
			'click #home-btn': 'goToHome',
			'click #appointments-btn': 'goToAppointments',
			'click #requests-btn': 'goToRequests',
			'click #manage-btn': 'showBookingLandingPage',
			'keydown #home-btn': 'handleTabBackward',
			'keydown #manage-btn': 'handleTabForward'
		},
		onRender: function(){
			this.delegateEvents();
			this.ui = {
				panel: $('#menu'),
				button: function () { return $('#menu-btn')}
			};
			this.ui.panel
				.trigger("create")
				.panel();
		},

		goToHome: function () {
			vent.trigger('show:landing');
		},
		goToAppointments: function () {
			vent.trigger("show:direct-scheduling:view");
		},
		goToRequests: function () {
			vent.trigger('show:request:listing');
		},
        showBookingLandingPage: function(){
            vent.trigger("show:bookingLandingPage");
        },
		closePanel: function () {
			this.ui.button().click();
		},
		handleTabBackward: function (e) {
			if (e.shiftKey && e.which === 9) {
				e.preventDefault();
				this.ui.button().focus();
			}
		},
		handleTabForward: function (e) {
			if (e.which === 9 && !e.shiftKey) {
				e.preventDefault();
				this.ui.button().focus();
			}
		}
	});
});
