define([
	'Global',
	'Vent',
	'NotificationPreferences',
	'text!../html/notificationPreferencesStatus.html',
	'Mask'

], function(Global, Vent, NotificationPreferences, notificationPreferencesStatusTemplate){
	'use strict';
	
	return Backbone.Marionette.ItemView.extend({
		model: NotificationPreferences,
		template: _.template(notificationPreferencesStatusTemplate),
		ui:{
			list: "ul",
			textMsgNumber: "#text-messaging-number"
		},
		modelEvents:{
			"change": "render"
		},
		events: {
			'click #change-notification-preference': 'updateNotificationPreferences'
		},
		onRender: function(){
			this.delegateEvents();
			if (this.ui.textMsgNumber.text().trim() !== "Not Allowed") {
				this.ui.textMsgNumber.mask(Global.getUtilities().masks().USPhone);
			}
		},
		updateNotificationPreferences: function () {
			Vent.trigger('show:settings', {fromNew: true});
		}
    });
});