define(['Global', 'Vent', 'ProviderItemView', 'text!../html/providerTemplate.html'], 
	function(Global, vent, ProviderItemView, template){
		'use strict';
		
		return Backbone.Marionette.CompositeView.extend({
			template: _.template(template),
			itemViewContainer: 'select',
			itemView: ProviderItemView,
			events: {
				'change': 'triggerItem'
			},
			ui: {
				providers: 'select'
			},
			triggerItem: function(){
				this.ui.providers.find('option:nth-child(' + (this.ui.providers[0].selectedIndex + 1) + ')').trigger('set');
			},
			onShow: function(){
				this.$el.trigger('create');
			}
		});
	}
);