define(['Global', 'Vent', 'text!../html/sessionWarning.html'],
	function(Global, vent, template){
		'use strict';

		return Backbone.Marionette.ItemView.extend({
			template: _.template(template),			
			id: 'session-warning',
			initialize: function(){
				this.bindUIElements();
			},
			events: {
				'click #end-session': 'endSession',
				'click #keep-session': 'keepSession',
				'click button': 'close'
			},
			ui:{
				'timeleft': '#countdown-session',
				'units': '#countdown-units'
			},
			modelEvents:{
				"change sessionTimeoutIn": "updateTime"
			},
			endSession: function(e){
				vent.trigger("do:logout", e);
				this.close();
			},
			keepSession: function(){
				vent.trigger("do:session:refresh", true);
				this.close();
			},
			updateTime: function(){
				this.ui.timeleft.text(this.model.get("sessionTimeoutIn"));
				this.ui.units.text(this.model.get("timeUnits"));
			},
			onShow: function () {
				this.ui.closePopupButton = $('#popup-close-btn').hide();
				this.delegateEvents();
			},
			onClose: function () {
				this.ui.closePopupButton
					.click()
					.show();
			}
		});
	}
);