define(['Global', 'Vent', 'StatusFilterItemView', 'StatusFilterEmptyView',
		'text!../html/statusFilter.html'],
	function( Global, Vent, StatusFilterItemView, StatusFilterEmptyView, 
			statusFilterTemplate ){
		'use strict';

		return Backbone.Marionette.ItemView.extend({
			template: _.template(statusFilterTemplate),
			initialize: function(){
				_.bindAll(this);
			},
			ui:{
				filter: "select[name='status-filter']"
			},
			modelEvents:function(){
				change: "render"
			},
			onShow: function(){
				this.$el.trigger("create");
				this.delegateEvents();
				this.ui.filter.val(this.selectedFilter).selectmenu("refresh");
			},
			events: {
				"change select": "filter"
			},
			filter: function(){
				this.selectedFilter = this.ui.filter.val();
				Vent.trigger("appointment:request:filter", this.selectedFilter );
			}
		});
	}
);