define([
    'Global',
	'AppointmentMetric',
	'Vent',
	'VarResources',
    'text!../html/unfamiliarFacilityDialog.html'
],
    function (Global, AppointmentMetric, vent, VarResources, dialogTemplate){
        'use strict';

        return Backbone.Marionette.ItemView.extend({
            template:_.template(dialogTemplate),
	        model: new AppointmentMetric(),
			id: 'unfamiliar-facility-dialog',
	        events: {
		        'click #understand-btn': 'close',
		        'click #cancel-request-from-unfamiliar-facility-btn': 'cancelRequest'
	        },
            initialize: function(options){
                options = options || {};
                $.extend(this.attributes, options.attributes);
            },
            onShow: function(){
	            this.delegateEvents();
				$('#popup-close-btn').show();
			},
	        onClose: function () {
				vent.trigger("close:popup");
	        },
			cancelRequest: function () {
				this.model.url = VarResources.instance().get('no-dfn-cancel-request').get('href');

				this.model
					.save({})
					.done( this.redirectToRequestListing );
			},
			redirectToRequestListing: function () {
				vent.trigger('show:request:listing');
			}
        });
    }
);