define([
    'Global',
	'Vent',
	'AppointmentMetric',
	'VarResources',
    'text!../html/unrecognizedNoticeDialog.html'
],
    function (Global, vent, AppointmentMetric, VarResources, dialogTemplate){
        'use strict';

        return Backbone.Marionette.ItemView.extend({
            template:_.template(dialogTemplate),
	        model: new AppointmentMetric(),
			id: 'unrecognized-notice',
	        events: {
		        'click #close-unrecognized-notice-btn': 'close'
	        },
            initialize: function(options){
                var options = options || {};
                $.extend(this.attributes, options.attributes);
            },
            onShow: function(){
	            this.saveAppointmentMetric();
                this.delegateEvents();
            },
	        onClose: function () {
		        this.undelegateEvents();
				vent.trigger('close:popup');
	        },
	        saveAppointmentMetric: function () {
		        this.model.url = VarResources.instance().get('no-inc-no-dfn').get('href');
				this.model.save();
	        }
        });
    }
);