define([
	'Vent',
	'Global',
	'text!../html/userMenu.html'
], function(vent, Global, template){
	'use strict';

	return Backbone.Marionette.ItemView.extend({
		template:_.template(template),
		className: "panel-menu",
		events: {
			'click button': 'closePanel',
			'click #about-btn': 'goToAbout',
			'click #feedback-btn': 'goToFeedback',
			'click #logout-btn': 'logoutUser',
			'keydown #about-btn': 'handleTabBackward',
			'keydown #logout-btn': 'handleTabForward'
		},
		onRender: function(){
			this.delegateEvents();
			this.ui = {
				panel: $('#user-menu'),
				button: function () { return $('#user-menu-btn'); }
			};
			this.ui.panel
				.trigger("create")
				.panel();
		},
		closePanel: function () {
			this.ui.button().click();
		},
		logoutUser: function (e) {
			vent.trigger("do:logout", e);
		},
		goToAbout: function () {
			vent.trigger("show:about");
		},
		goToFeedback: function () {
			vent.trigger("show:feedback");
		},
		handleTabBackward: function (e) {
			if (e.shiftKey && e.which === 9) {
				e.preventDefault();
				this.ui.button().focus();
			}
		},
		handleTabForward: function (e) {
			if (e.which === 9 && !e.shiftKey) {
				e.preventDefault();
				this.ui.button().focus();
			}
		}
	});
});
