define(['Global', 'Warnings', 'WarningItemView', 'text!../html/warnings.html'],
	function(Global, Warnings, WarningItemView, template){
		'use strict';

		return Backbone.Marionette.CompositeView.extend({
			template: _.template(template),
			itemViewContainer: '.warning-messages',
			itemView: WarningItemView,
			// collectionEvents: {
			// 	add: 'render',
			// 	remove: 'render'
			// },
			attributes: {
				'class': 'form-warnings display-none'
			},
			initialize: function(config){
				this.config = config;
				this.collection = new Warnings();
			},
			onRender: function(){
				if(this.collection.length){
					this.$el.addClass("form-warnings");
				}
				else{
					this.$el.removeClass("form-warnings");
				}
			},
			addMessage: function(message){
				this.render();
				this.collection.add(message);
			}
		});

	}
);