#This class represents the veteran appointment request new appointment page. As need arises,
#other ruby class test pages representing different scheduling manager tabs
#could be created.

# require "page-object"
# require "spec_helper"
# require "./spec/spec_helper"


require "./pages/page_view"

class DSCancelApptView < PageView

	attr_accessor :selected

	def initialize(driver, kwargs = {})
		super(driver, {:hash=>"cancel-my-appointment"}.merge!(kwargs))
	end

	elements(:appointments, "label", :css=>'#appointment-listing label')
	select_list(:reason, :id=>'reason')
	span(:remaining, :id=>'remaining-chars')
	text_area(:notes, :id=>'notes')
	button(:back_btn, :css=>'.back-btn')
	button(:cancel_btn, :id=>'cancel')

	def select_first_appointment
		@selected = false
		begin
			wait_until(20){
				not self.appointments_elements.empty?
			}
			appt_option = self.appointments_elements.fetch(0)
			if not appt_option.nil?
				appt_option.element.click
				@selected = true
			end
		rescue
			@selected = false
		end
	end

	def select_reason
		reason = self.reason_options.fetch(-1)
		if not reason.nil?
			self.reason = reason
		end
	end

	def populate_form
		wait_for_ajax(120)
		select_first_appointment
		if @selected
			select_reason
			self.notes = "I'm not feeling well"
		end
	end

	def populate_form_and_cancel
		populate_form
		if @selected
			wait_until_enabled(self.cancel_btn_element){
				self.cancel_btn
			}
		end
	end
end