#This class represents the veteran appointment request new appointment page. As need arises,
#other ruby class test pages representing different scheduling manager tabs
#could be created.

# require "page-object"
# require "spec_helper"
# require "./spec/spec_helper"


require "./pages/page_view"

class DSFacilityView < PageView

	attr_accessor :selected

	def initialize(driver, kwargs = {})
		super(driver, {:hash=>"direct-scheduling"}.merge!(kwargs))
		@selected = false
	end

	element(:facility, "label", :css=>'#facilities label[for="facility-9999"]')
	link(:dont_see, :css=>'#dont-see-expected a[data-rel="popup"]')
	button(:cancel_appt_btn, :id=>'cancel-appointment')
	button(:book_appt_btn, :id=>'book-appointment')

	def select_facility
		wait_for_ajax(120)
		@selected = false
		if not facility.nil?
			facility_element.click
			@selected = true
		end
	end

	def book_appt
		self.wait_until_enabled(self.book_appt_btn_element) do
			self.book_appt_btn
		end
		wait_for_ajax(120)
	end

	def cancel_appt
		self.wait_until_enabled(self.cancel_appt_btn_element) do
			self.cancel_appt_btn
		end
	end
end