#This class represents the veteran appointment request new appointment page. As need arises,
#other ruby class test pages representing different scheduling manager tabs
#could be created.

# require "page-object"
# require "spec_helper"
# require "./spec/spec_helper"


require "./pages/page_view"

class DSMonthView < PageView

	attr_accessor :found_available

	def initialize(driver, kwargs = {})
		super(driver, {:hash=>"direct-scheduling"}.merge!(kwargs))
		@found_available = false
	end

	h2(:date_display, :css=>'#sub-header h2')
	button(:prev_month, :id=>'cal-prev-month')
	button(:next_month, :id=>'cal-next-month')
	div(:info_box, :css=>'.info-box')
	elements(:month_days, "td", :css=>'#calendar td[data-date]')
	elements(:available_days, "button", :css=>'#calendar .available button')
	div(:call_clinic, :css=>'.icon-call-clinic')
	div(:facility_provider_info, :css=>'.facility-provider-info')

	def month_abbr
		tomorrow.strftime("%b")
	end

	def month_range_start
		month 		= add_days.strftime("%-m").to_i
		start_month = tomorrow.strftime("%-m").to_i
		diff = start_month - month
		diff = 0 if diff < 0
		diff
	end

	def month_available_range
		start_month = tomorrow.strftime("%-m").to_i
		end_month 	= days90.strftime("%-m").to_i

		if end_month < start_month
			12 - start_month + end_month
		else
			end_month - start_month
		end
	end

	def select_available_day
		@found_available = false
		range = month_available_range
		while available_days_elements.empty? and range > 0 do
			self.next_month
			range = range - 1
		end

		if not available_days_elements.empty?
			available_days_elements.fetch(0).element.click
		end

	end

	def start_month
		while self.prev_month_element.visible?
			self.prev_month
		end
	end

end