#This class represents the veteran appointment request new appointment page. As need arises,
#other ruby class test pages representing different scheduling manager tabs
#could be created.

# require "page-object"
# require "spec_helper"
# require "./spec/spec_helper"


require "./pages/page_view"

class DSProviderView < PageView

	def initialize(driver, kwargs = {})
		super(driver, {:hash=>"direct-scheduling"}.merge!(kwargs))
	end

	elements(:providers, "label", :css=>'#clinic-list label')
	text_area(:reason, :id=>'reason-for-appt')
	text_field(:desired_date, :id=>'desired-date')
  	button(:find_appt, :id=>'find-appointment')

	def select_first_provider
		wait_for_ajax(120)
		@selected = false

		provider_option = self.providers_elements.fetch(0)
		
		if not provider_option.nil?
			provider_option.element.click
			@selected = true
		end
	end

	def populate_form
		select_first_provider
		populate_date_picker(self.desired_date_element, tomorrow)
		populate_reason "Not feeling well, lower back is hurt"
	end

	def populate_reason text
		wait_until(10){
			reason_element.visible?
		}
		reason_element.value = text
	end

	def populate_form_and_find
		populate_form
		wait_until_enabled(self.find_appt_element){
			self.find_appt
		}
		wait_for_ajax(120)
	end

end