require "./pages/landing_page"

class LandingPageLoggedIn < LandingPage

	attr_accessor :landing_items
	attr_accessor :landing_title

	def initialize(driver, kwargs = {})
		super(driver, {:id=>"main"}.merge!(kwargs))
		@landing_items = ["Schedule an Appointment", "View or Cancel Appointments", "Requests (", "How to begin receiving"]
		@landing_title = "VA Appointments"
	end

	link(:facility_locator_link, :css=>".landing-page-info a")
	span(:unread_message_icon, :css => '.fonticon.chat.new-message')
	unordered_list(:landing_page_list, :id=>'landing-page-list')
	list_item(:schedule_list) do | page |
		page.landing_page_list_element.list_item_element
	end
	elements(:landing_page_options, :li, :css=>"#landing-page-list li")
	elements(:landing_page_options_links, :a, :css=>"#landing-page-list a")
	link(:schedule_appointment, :id=>'schedule-appointment')
	link(:view_appointments, :id=>'view-appointments')
	link(:requests, :id=>'requests')
	link(:enroll, :id=>'ds-how-to-enroll')


end