#This class represents the veteran appointment request new appointment page. As need arises,
#other ruby class test pages representing different scheduling manager tabs
#could be created.

# require "page-object"
# require "spec_helper"
# require "./spec/spec_helper"


require "./pages/new_appointment_request_base"

class NewAppointmentRequest < NewAppointmentRequestBase

  def initialize(driver, kwargs = {})
    super(driver, {:hash=>"new-request"}.merge!(kwargs))
  end

  label(:preference_other, :css=>'label[for="bookWithOther"]')

  text_field(:first_choice_option, :id=> 'optionDate1')
  text_field(:second_choice_option, :id => 'optionDate2')
  text_field(:third_choice_option, :id => 'optionDate3')

  label(:phone_call, :css => 'label[for="Phone Call"]')
  radio_button(:phone_c, :id => 'Phone Call')

  label(:office_visit, :css => 'label[for="Office Visit"]')
  radio_button(:office_v, :id => 'Office Visit')
  
  label(:video_conference, :css => 'label[for="Video Conference"]')
  radio_button(:video_c, :id => 'Video Conference')

  select_list(:purpose_of_visit, :id => 'purposeOfVisit')
  select_list(:provider, :id => 'providerId')

  label(:first_choice_option_pm, :css => 'label[for="optionTime1AM"]')
  span(:first_choice_option, :id => 'optionDate1')

  text_area(:initial_message, :id=>'initialRequestMessage')
  text_area(:other_purpose_of_visit, :id=> 'otherPurposeOfVisit')

  div(:option_date_29, :xpath => '//div[@id="new-request"]/div[2]/span/div[2]/div[6]/div[3]')
  div(:video_caveat, :id => 'videoConferenceCaveatText')

  h1(:option_date_popup_title, :xpath => '//*[@id="new-request"]/div[2]/div/h1')

  
  def populateForm

    super
    select_provider_index
    self.office_visit_element.click
    self.purpose_of_visit = 'Routine follow-up'
    populate_date_picker(self.first_choice_option_element)
    self.first_choice_option_pm_element.click

  end

  def select_provider_index
    wait_until(20){
      provider? and provider_element.visible?
    }

    provider_element.options.at(1).click
    preference_other_element.click
  end

end
