#This class represents the veteran appointment request new appointment page. As need arises,
#other ruby class test pages representing different scheduling manager tabs
#could be created.

# require "page-object"
# require "spec_helper"
# require "./spec/spec_helper"


require "./pages/page_view"

class NewAppointmentRequestBase < PageView

  def initialize(driver, kwargs = {})
    super(driver, {:hash=>"new-request"}.merge!(kwargs))
  end

  div(:request_notice, :id=>"request-notice")
  button(:dismiss_notice, :id=>'dismiss-notice-btn')

  label(:phone_number_lbl, :css=>'label[for="phoneNumber"]')

  text_field(:facility, :id => 'facilityName')
  text_field(:autocomplete, :css => '#autocomplete-container input')
  text_field(:phone_number, :id => 'phoneNumber')
  text_field(:verify_phone_number, :id => 'verifyPhoneNumber')

  label(:primary_care, :css => 'label[for="Primary Care"]')
  radio_button(:primary_c, :id=>'Primary Care')
  
  label(:mental_health, :css => 'label[for="Mental Health"]')
  radio_button(:mental_h, :id=>'Mental Health')

  button(:review_request_btn, :id => 'review-request-btn')
  button(:cancel_request_btn, :id => 'cancel-request')
  button(:submit_request_btn, :id => 'submit-request')

  link(:test_vamc_3, :css => "a[data-facility-name='TEST VAMC 3']")

  link(:dc_vamc, :css => "a[data-facility-name='DC VAMC']")

  div(:review_request, :id=>'review-request')

  div(:facility_list, :css=>'#facilities-container .list .label-list-item:first-child label')

  checkbox(:best_time_11_to_1, :id => '11 AM - 1 PM')
  label(:best_time_11_to_1_lbl, :css => '[for="11 AM - 1 PM"]')
  checkbox(:best_time_1_to_3, :id => '1 PM - 3 PM')

  def pickfacility
    self.class.div(:facility_list, :css=>'#facilities-container .list .label-list-item:first-child label')
    wait_until(180){

      self.facility_list? and self.facility_list_element.visible?
    }
    self.facility_list_element.click
  end

  def populateForm

    self.pickfacility
    self.primary_care_element.click

    self.phone_number= '(555) 555-8888'
    self.phone_number_lbl_element.click
    self.verify_phone_number= '(555) 555-8888'
    best_time_11_to_1_lbl_element.click

  end

  def populateFormSubmit
    populateForm
    self.review_request_btn
  end

  def populateFormSubmitVerify
    populateFormSubmit
    self.submit_request_btn
  end

  def launch_page
    @driver.get(self.app_url + "/#" + self.hash)
    if self.notice?
      wait_until{
        self.dismiss_notice_element.visible?
      }
      self.dismiss_notice
    else
      wait_until(10) do 
        self.page_title_element.visible?
      end
    end
  end

  def notice?
    self.request_notice?
  end

  def request_btn_enabled?
    self.element_enabled?(self.review_request_btn_element)
  end

end
