require "./pages/veteran_appointments"

class PageView < VeteranAppointments

	def initialize(driver, kwargs = {})
		super(driver, (kwargs[:id] || "main"), kwargs)
		self.class.div(:page_header, :css=>"##{@id} [data-role='header']")
		self.class.h1(:page_title, :css=>"##{@id} [data-role='header'] .ui-title")
		self.class.div(:instruction, :css=>'.instructional-header')
		self.class.div(:sub_header, :id=>"sub-header")
		self.class.div(:page_content, :css=>"##{@id} #main-content")
		self.class.div(:page_footer, :css=>"##{@id} [data-role='footer']")
		self.class.div(:app_version, :css=>"##{@id} .username-bar-secondary")
		self.class.button(:popup_close_btn, :id=>'popup-close-btn')
	end

	def launch_page
		self.popup_close_btn if self.popup_close_btn_element.visible?
		
		@driver.get(self.app_url + "/#" + self.hash)
		
		begin
			wait_until(10) do 
				self.page_header_element.visible?
			end
		rescue
		end
	end

end