#This class represents the veteran appointment request new appointment page. As need arises,
#other ruby class test pages representing different scheduling manager tabs
#could be created.

# require "page-object"
# require "spec_helper"
# require "./spec/spec_helper"


require "./pages/page_view"

class RequestListing < PageView

	attr_accessor :found

	def initialize(driver, kwargs = {})
		super(driver, {:hash=>"requests"}.merge!(kwargs))
		@found = false
	end

	select_list(:status_filter, :id=>'status-filter')
	unordered_list(:request_listing, :id=>'appointment-request-list')
	list_item(:request_item, :css=>'#appointment-request-list li')
	elements(:requests, "li", :css=>'#appointment-request-list li')
	element(:new_message_icon, "i", :css=>'.new-message')
  	button(:new_req_btn, :id=>'new-request-btn')

  	#Notification Settings
  	label(:default_pref, :css=>'label[for=default-pref]')
  	label(:email_updates, :css=>'label[for=email-updates]')
  	text_field(:email, :id=>'email')
  	button(:save_prefs, :id=>'save-preferences')

	def launch_page
		@found = false
		super()
		wait_until(20){
			self.status_filter_element.visible?
		}
	end

	def wait_for_request_items
		self.request_item_element.wait_until(20) do
			self.request_item? && self.request_item_element.visible?
		end
	end

	def compare_appt_status(status)
		pass = true
		reqStatus = ""
		status = self.removeNumFromStatus(status)
		return pass if status == "All"
		self.requests_elements.each do |request|
			begin
				self.class.link(:request_link) do |page|
					request.link_element
				end
				if self.request_link_element.visible?
					reqStatus = self.request_link_element.attribute("data-status")
					pass = reqStatus == status
				end
				return false if not pass
			rescue Selenium::WebDriver::Error::StaleElementReferenceError
				next
			end
		end
		pass
	end

	def open_appt_by_status(status = "Booked")
		@found = false
		wait_for_ajax(60)
		wait_for_request_items
		self.requests_elements.each do |request|
			begin
				self.class.link(:request_link) do |page|
					request.link_element
				end

				if self.request_link_element.attribute("data-status").eql? status
					@found = true
					self.request_link 
					break
				end
			rescue Selenium::WebDriver::Error::StaleElementReferenceError
				next
			end
		end
	end

	def removeNumFromStatus(status)
		return status.split(" (")[0]
	end

end