require './pages/popup_view'

class Settings < PopupView

	def initialize(driver, kwargs = {})
		super(driver, {:id=>'settings', :hash=>'settings'}.merge!(kwargs))
	end

	label(:text_messages, :css=>'[for="phoneNumberAuthorized"]')
	checkbox(:text_messages_chk, :id=>'phoneNumberAuthorized')
	text_field(:phone_number, :name=>'textMsgPhNumber')

	label(:email_messages, :css=>'[for="emailAddressAuthorized"]')
	checkbox(:email_messages_chk, :id=>'emailAddressAuthorized')
	text_field(:email, :name=>'emailAddress')

	button(:cancel, :id=>'cancel-notification-preferences')
	button(:submit, :id=>'submit-notification-preferences')

  	def populate_phone_number
		while not self.phone_number_element.visible?
			set_text_messages
		end

		self.phone_number = '555-555-5555'
		self.cancel_element.focus
  	end

  	def populate_email
		set_email_messages
		self.email_element.when_visible(10){
			self.email = 'test@test.com'
			self.cancel_element.focus
		}
  	end

  	def set_text_messages(check=true)
  		if self.text_messages_chk_checked? && (not check)
  			self.text_messages_element.click
  		elsif check && (not self.text_messages_chk_checked?)
  			self.text_messages_element.click
  		end
  	end

  	def set_email_messages(check=true)
  		if self.email_messages_chk_checked? && (not check)
  			self.email_messages_element.click
  		elsif check && (not self.email_messages_chk_checked?)
  			self.email_messages_element.click
  		end
  	end

end