require_relative "_config"
require "./pages/veteran_appointments"
require "./models/user_roa"

class VeteranLogin < VeteranAppointments

  @username = nil
  @password = nil

  @@eula_keys = {
    'PATIENT.ELEVEN' => '69|37|37|38',
    'zztest.patient66' => '69|54|73|62|57|44|43'
  }
  
  def initialize(driver, kwargs = {})
    @driver = driver
    super(driver, (kwargs[:id] || 'logonForm'), kwargs)
    self.class.button(:login_l, :id => 'login')
    self.class.h1(:title, :class=>'ui-title')
    self.class.link(:accept_eula, :id => 'accept-eula')
    self.class.text_field(:uname, :id => 'name-c')
    self.class.text_field(:pass, :id => 'password')
    self.class.button(:login_btn, :id => 'loginButton')
    self.class.div(:main, :id =>'main')
    self.class.element(:footer, 'div', :css=>'.footer')
    self.class.expected_element_visible(:accept_eula, 30)

  end

  def login (username, password, acceptEula = true, skipGetLogin = false)

    if not skipGetLogin
      @driver.get(self.app_url)

      puts "Login #{main}"

      begin
        login_l_element.wait_until(5){
          login_l_element.visible?
        }
        login_l

        uname_element.wait_until(5){
          uname_element.visible?
        }
      rescue Exception => ex
        puts "Login Exception"
        puts ex
      end
    end

    @username = username
    @password = password
    self.uname  = @username
    self.pass   = @password
    self.login_btn

    puts "Main #{main}"

    wait_for_ajax(30, 'Loading Application taking too long')

    if acceptEula
      begin
        key = @@eula_keys[@username]
        eula = @driver.execute_script("return localStorage.getItem('/veteran-appointment-requests/eula/#{key}');")
        if eula.nil? or eula.empty?
          wait_until(10, 'Could not find the accept element'){
            accept_eula? and accept_eula_element.visible?
          }
          accept_eula_element.click
        end
      rescue Exception => ex
        puts ex
        puts "Eula not found"
        #eula not found
      end
    end

    wait_until(30){
      main_element.visible?
    }
    wait_for_ajax(30)
    @username
  end

  def destroy_session
    script_src = "if($ !== 'undefined'){
                    $.ajax({
                     method: 'DELETE',
                     async:false,
                     url:'#{$acp_url}/AuthorizationServices/rest/token'
                 }).done(function(){
                   if(sessionStorage){
                     sessionStorage.clear();
                   }
                 });
                }"
    @driver.execute_script(script_src)
  end

  def logout
    destroy_session
  end

  def loginAsPatient01()
    login('zztest.patient01', 'pass')
  end
  
  def acceptROA()
  	@roa = UserROA.new
  	@roa.populateAndSaveROA()
  end

  #use for VAR
  def loginAsPatient66(acceptEula=true, skipGetLogin=false)
    login('zztest.patient66', 'pass', acceptEula, skipGetLogin)
  end

  #use for Direct Scheduling
  def loginAsPatientEleven(acceptEula=true, skipGetLogin=false)
  	acceptROA
    login('PATIENT.ELEVEN', 'pass', acceptEula, skipGetLogin)
  end
 
end
