
#This file tests Booking landing page

require "selenium-webdriver"
require "rspec"
require 'rubygems'
require "./pages/veteran_login"
require "./pages/landing_page_logged_in"
require "./pages/book_landing_page"
include RSpec::Expectations

describe "Veteran Appointment Request: Story# VAR-260" do

  before(:all) do

    @driver = Selenium::WebDriver.for :firefox

    @login = VeteranLogin.new(@driver)
    @login.loginAsPatientEleven()

    @landingLoggedIn = LandingPageLoggedIn.new(@driver, {:timeout=>2})
    @book_landing_page = BookLandingPage.new(@driver)

    puts "Booking Landing Page Tests"

  end

  after(:all) do
    @driver.save_screenshot("./Booklanding.png")
    @login.logout
    @driver.quit
  end


  it "has an option of Schedule your own Primary Care Appointment..." do
    @landingLoggedIn.schedule_appointment
    expect(@book_landing_page.sch_appt_element.visible?).to eq(true)
  end

  it "has an option of Request VA Clerk to schedule..." do
    expect(@book_landing_page.new_req_element.visible?).to eq(true)
  end

  it "has an option of Book your appointment by Phone..." do
    expect(@book_landing_page.req_phone_element.visible?).to eq(true)
  end

  it "has indicator of Is this an urgent matter" do
    expect(@book_landing_page.req_notice_element.visible?).to eq(true)
  end

  it "has indicator of How to begin..." do
    expect(@book_landing_page.enroll_notice_element.visible?).to eq(true)
  end

end