#This file tests the VA staff Veteran Appointment Request application.
#

require "selenium-webdriver"
require "rspec"
require "./pages/veteran_login"
require "./pages/ds_facility_view"
require "./pages/ds_provider_view"
require "./pages/ds_month_view"
require "./pages/ds_day_view"
require "./pages/ds_book_view"
require "rubygems"
include RSpec::Expectations


describe "Direct Scheduling - Booking View" do

	before(:all) do

		@driver = Selenium::WebDriver.for :firefox

		@login = VeteranLogin.new(@driver)
		@login.loginAsPatientEleven()

		@dsFacility = DSFacilityView.new @driver
		@dsProvider = DSProviderView.new @driver
		@dsMonth 	= DSMonthView.new @driver
		@dsDay 		= DSDayView.new @driver
		@dsBook 	= DSBookView.new @driver

		puts "Direct Scheduling - Booking View Tests"

		@dsFacility.launch_page
		@dsFacility.select_first_facility
		@dsFacility.book_appt
		@dsProvider.populate_form_and_find
		@dsMonth.select_available_day
		@dsDay.select_available_time
	end

	after(:all) do
		@driver.save_screenshot("./directScheduling_BookApptFailure.png")
		@login.logout		
		@driver.quit
	end

	it "has an instructional header with text" do
		expect(@dsBook.instruction).to eq "Select Book to confirm appointment"
	end

	it "has details about booking" do
		expect(@dsBook.appt_details).not_to be_empty
	end

	it "has a prefilled reason for appointment" do
		expect(@dsBook.notes).not_to be_empty
	end

	it "has a Book button" do
		expect(@dsBook.book_btn?).to be true
	end

end