#This file tests the VA staff Veteran Appointment Request application.
#

require "selenium-webdriver"
require "rspec"
require "./pages/veteran_login"
require "./pages/ds_facility_view"
require "./pages/ds_provider_view"
require "./pages/ds_month_view"
require "./pages/ds_day_view"
require "./pages/ds_book_view"
require "./pages/ds_book_confirm_view"
require "rubygems"
include RSpec::Expectations


describe "Direct Scheduling - Booking Confirm View" do

	before(:all) do

		@driver = Selenium::WebDriver.for :firefox

		@login = VeteranLogin.new(@driver)
		@login.loginAsPatientEleven()

		@dsFacility = DSFacilityView.new @driver
		@dsProvider = DSProviderView.new @driver
		@dsMonth 	= DSMonthView.new @driver
		@dsDay 		= DSDayView.new @driver
		@dsBook 	= DSBookView.new @driver
		@dsBookConfirm = DSBookConfirmView.new @driver

		puts "Direct Scheduling - Booking Confirm View Tests"

		@dsFacility.launch_page
		@dsFacility.select_first_facility
		@dsFacility.book_appt
		@dsProvider.populate_form_and_find
		@dsMonth.select_available_day
		@dsDay.select_available_time
		@dsBook.book_appt
	end

	after(:all) do
		@driver.save_screenshot("./directScheduling_BookApptConfirmFailure.png")
		@login.logout		
		@driver.quit
	end

	it "has title for successful booking" do
		expect(@dsBookConfirm.appt_title).to eq "You have successfully booked your appointment"
	end

	it "has data in the appt details" do
		expect(@dsBookConfirm.appt_facility).not_to be_empty
	end

	it "has ok button" do
		expect(@dsBookConfirm.ok_btn?).to be true
	end


end