#This file tests the VA staff Veteran Appointment Request application.
#

require "selenium-webdriver"
require "rspec"
require "./pages/veteran_login"
require "./pages/ds_facility_view"
require "./pages/ds_cancel_appt_view"
require "./pages/ds_cancel_appt_confirm_view"
require "rubygems"
include RSpec::Expectations

describe "Direct Scheduling - Cancel Appointment - Confirmation" do

	before(:all) do

		@driver = Selenium::WebDriver.for :firefox

		@login = VeteranLogin.new(@driver)
		@login.loginAsPatientEleven()

		@dsFacility = DSFacilityView.new @driver
		@dsCancel = DSCancelApptView.new @driver
		@dsConfirm = DSCancelApptConfirmView.new @driver
		
		puts "Direct Scheduling - Cancel Appointment Confirm Tests"

		@dsFacility.launch_page
		@dsFacility.select_first_facility
		@dsFacility.cancel_appt
		@dsCancel.populate_form_and_cancel
		# @dsCancel.wait_for_ajax

	end

	after(:all) do
		@driver.save_screenshot("./directScheduling_CancelApptConfirmFailure.png")
		@login.logout		
		@driver.quit
	end


	describe "Has Appointment to cancel" do
		before(:all) do
			if not @dsCancel.selected
				pending ""
			end
		end

		it "has a title of Cancellation Confirmed" do
			expect(@dsConfirm.page_title).to eq "Cancellation Confirmed"
		end

		it "has Status: Cancelled shown" do
			expect(@dsConfirm.text).to include("Status: Cancelled")
		end

		it "has an OK button" do
			expect(@dsConfirm).to be_ok_btn
		end

		it "allows user to click OK button to go back to Facility Selection Page" do
			@dsConfirm.ok_btn
			# @dsCancel.wait_for_ajax
			expect(@dsConfirm.page_title).not_to be "Cancellation Confirmed"
		end

	end

end