#This file tests Direct Scheduling Application - Eula

require "selenium-webdriver"
require "rspec"
require "./pages/veteran_login"
require "./pages/landing_page_logged_in"
require "./pages/eula"
require "./pages/app_menu"
require 'rubygems'
include RSpec::Expectations

describe "VAR: Story# VAR-327 - Display Eula" do

  before(:all) do

    @driver = Selenium::WebDriver.for :firefox

    @login = VeteranLogin.new(@driver)
    @login.loginAsPatient66(false)

    @eula = Eula.new(@driver, {:timeout=>2})
    @eula.skip_landing_check = true
    @eula.launch_home
    @eula.wait_for_ajax

    puts "---Display Eula Tests---"

  end

  after(:all) do
    @driver.save_screenshot("./eulaFailure.png")
    @login.logout
    @driver.quit
  end

  it " first time login - Display Eula : AC #VAR-582; #VAR-583" do
    puts "Eula Check #{@eula.eula_header?}"
    expect(@eula.eula_header_element).to be_visible
    @eula.accept_button

  end

end
