require "selenium-webdriver"
require "rspec"
require "rubygems"
require "./pages/veteran_login"
require "./pages/landing_page_logged_in"
require "./pages/book_landing_page"
require "./pages/view_cancel"
require "./pages/booked_appts"
include RSpec::Expectations

describe "Veteran Appointment Request: Story# VAR-264" do

  before(:all) do

    @driver = Selenium::WebDriver.for :firefox

    @login = VeteranLogin.new(@driver)
    @login.loginAsPatientEleven()

    @landingLoggedIn = LandingPageLoggedIn.new(@driver, {:timeout=>2})
    @book_landing_page = BookLandingPage.new(@driver)
    @view_cancel = ViewPage.new(@driver)
    @booked_appts = BookedVAAppts.new(@driver)

    puts "Non-Pact Facility Tests"

  end

  after(:all) do
    @driver.save_screenshot("./Non_Pact.png")
    @login.logout
    @driver.quit
  end


  it "shows non-pact facilities" do
    @landingLoggedIn.view_appointments

    sleep (15)

    expect(@view_cancel.view_cancel_element.visible?).to eq(true)

    @view_cancel.choosefacility

    @view_cancel.view_btn

    expect(@booked_appts.future_appts_element.visible?).to eq(true)

    sleep (15)

    expect(@booked_appts.call_and_cancel_element.visible?).to eq(true)

  end

end