define(['Global', 'FacilityProvidersModel'],
	function(Global, FacilityProvidersModel){
		"use strict";

		var PACTData = {
				facilityId: 'id',
				primaryProviderList: [
					{
						title: "Staff",
						staffName: "Staff Person"
					},
					{
						title: "Staff",
						staffName: "Staff Person 2"
					}
				]
			},
			PACTModel;

		describe("PACT model", function() {
			beforeEach(function () {
				PACTModel = new FacilityProvidersModel(PACTData, {parse: true});
			});

			it('correctly parses the primary care providers', function(){
				expect(PACTModel.get('providerName')).toEqual('Staff Person, Staff Person 2');
			});

			it('correctly parses the facilityId / facilityCode', function(){
				expect(PACTModel.get('facilityId')).toEqual('id');

				PACTData.facilityCode = "id2";

				PACTModel = new FacilityProvidersModel(PACTData, {parse: true});

				expect(PACTModel.get('facilityId')).toEqual('id2');
			});
		});
	}
);