define(['Global', 'Vent', 'BookingLandingPageView'],
    function(Global, vent, bookingLandingPageView){
        "use strict";

        var bookingLandingPage = new bookingLandingPageView();

        bookingLandingPage.render();

        describe("Booking Landing Page", function(){
            var landingPageLinkHeaders = bookingLandingPage.$el.find('a h2');

            it("has 5 sections", function(){
                expect(landingPageLinkHeaders.length).toEqual(5);
            });
            it('triggers a call to go to direct-scheduling', function () {
                spyOn(vent, 'trigger');
                bookingLandingPage.showDirectSchedulingBooking();
                expect(vent.trigger).toHaveBeenCalledWith('show:direct-scheduling:book');
            });
            it('triggers a call to go to showNewRequest', function () {
                spyOn(vent, 'trigger');
                bookingLandingPage.showNewRequest();
                expect(vent.trigger).toHaveBeenCalledWith('show:request:new', {close: false});
            });
            it('triggers a call to go to showNewRequestByPhone', function () {
                spyOn(vent, 'trigger');
                bookingLandingPage.showNewRequestByPhone();
                expect(vent.trigger).toHaveBeenCalledWith('show:request:new-phone', {close: false});
            });
            it('triggers a call to go to showDSHowToEnroll', function () {
                spyOn(vent, 'trigger');
                bookingLandingPage.showDSHowToEnroll();
                expect(vent.trigger).toHaveBeenCalledWith('show:direct-scheduling:how-to-enroll', {fromBooking: true});
            });
            it('triggers a call to go to showRequestNoticeDialog', function () {
                spyOn(vent, 'trigger');
                bookingLandingPage.showRequestNoticeDialog();
                expect(vent.trigger).toHaveBeenCalledWith('show:requestNoticeDialog', {close: true});
            });
            it('triggers a call to go back', function () {
                spyOn(vent, 'trigger');
                bookingLandingPage.goBack();
                expect(vent.trigger).toHaveBeenCalledWith('show:landing');
            });

        });
    }
);