define(['Global', 'Vent', 'Layout', 'CalendarDayItemView'],
	function(Global, vent, Layout, CalendarDayItemView){
		'use strict';

		describe("Direct Scheduling - Selecting Appointment ", function(){
			var view, 
				layout = new Layout(),
				testModel;

			layout.render();

			beforeEach(function(){
				var date = new Date(),
					futureDate = new Date();

				futureDate.setDate(date.getDate() + 1);
				futureDate.setHours("09");
				futureDate.setMinutes("00");
				futureDate.setSeconds("00");

				testModel = new Backbone.Model({
					start: futureDate
				});

				view = new CalendarDayItemView({model: testModel});
				layout.content.show(view);
				spyOn(vent, "trigger");
			});

			it("allows user to click day slot to view the selected time", function(){
				view.$el.find("button").trigger("click");
				expect(vent.trigger).toHaveBeenCalledWith("show:time-selection:view", testModel);
			});
		});

	}
);