define(['Global', 'Vent', 'DSClinicSelectionView', 'jquery', 'Moment'],
    function(Global, vent, DSClinicSelectionView, jQuery){
        "use strict";

        var clinicView = new DSClinicSelectionView({collection: new Backbone.Collection(), model: new Backbone.Model()});
        clinicView.render();

        describe('Clinic Page', function() {

        	describe('Calendar selection', function(){
		        it('can show calendar selection', function () {
		        	spyOn(vent, 'trigger');
		        	clinicView.ui.apptReason.val('I need help');
			        clinicView.showCalendarSelection({preventDefault: function(){ return true;}});
			        expect(vent.trigger).toHaveBeenCalledWith("show:ds-calendar-month:view");
		        });

		        it('sets the model on show calendar selection', function(){
		        	expect(clinicView.model.get('apptReason')).toEqual('I need help');
		        });
	    	});

	        it('can convert a word to pluralism by adding <s>', function(){
	        	expect(clinicView.getPluralism('item', 5)).toEqual('items');
	        });

	        it('tests for available slots to hide or show content', function(){
	        	expect(clinicView.templateHelpers().hasAvailableSlots(true)).toEqual('');
	        	expect(clinicView.templateHelpers().hasAvailableSlots()).toEqual('hidden');
	        	clinicView.collection = new Backbone.Collection();
	        	clinicView.collection.totalSlots = 20;
	        	expect(clinicView.templateHelpers().hasAvailableSlots()).toEqual('');
	        	expect(clinicView.templateHelpers().hasAvailableSlots(true)).toEqual('hidden');  	
	        });

        });
    }
);