define(['Global', 'Vent', 'Layout', 'ConfirmBookingApptView'],
	function(Global, vent, Layout, ConfirmBookingApptView){
		'use strict';

		describe("Direct Scheduling - Confirm Appointment Confirmation View", function(){
			var view,
				testModel,
				layout = new Layout();

			layout.render();

			beforeEach(function(){
				testModel = new Backbone.Model({
					appointmentDate: "07/15/2014",
					apptLength: "60",
					appointmentTime: "15:00",
					clinicName: "TEST VAMC",
					clinic: 'Primary Care',
					facilityName: "DC VAMC 3",
					formattedStart: "07/15/2014 09:00",
					reason: "None",
					bookingNotes: "I'm sick",
					providerName: ""
				});
				view = new ConfirmBookingApptView({model: testModel});
				layout.content.show(view);
				spyOn(vent, "trigger");
			});

			it("allows user to click ok and will navigate them back to the landing page", function(){
				view.$el.find("#ok-btn").trigger("click");
				expect(vent.trigger).toHaveBeenCalledWith("show:landing");
			});

			it("shows the email confirmation screen", function () {
				view.showVeteranEmailForm();
				expect(vent.trigger).toHaveBeenCalledWith('show:veteran-email-form', view.model, "book");
			});
		});

	}
);