define(['Global', 'Vent', 'DSNonPACTFacilityItemView'],
	function(Global, vent, DSNonPACTFacilityItemView){
		"use strict";

		var model = new Backbone.Model({facilityId: "777", facilityName: "TEST VAMC 3"}),
			nonPACTFacilityItemView = new DSNonPACTFacilityItemView({model: model});

		nonPACTFacilityItemView.render();

		describe("Non-PACT Facility Item View", function() {
			beforeEach(function () {
				spyOn(vent, 'trigger');
			});

			it('can update the facility selected', function () {
				nonPACTFacilityItemView.setFacility();

				expect(model.get('nonPACT')).toEqual(true);
				expect(vent.trigger).toHaveBeenCalledWith('set:direct-scheduling:facility', model);
			});
		});
	}
);