define(['Global', 'Vent', 'DSNonPACTFacilityListView'],
	function(Global, vent, DSNonPACTFacilityListView){
		"use strict";

		var collection = new Backbone.Collection([
				{
					facilityName: "",
					facilityId: ""
				},
				{
					facilityName: "test",
					facilityId: "test"
				}
			]),
			nonPACTFacilityListView = new DSNonPACTFacilityListView({collection: collection});

		nonPACTFacilityListView.render();

		describe("Non-PACT Facilities List View", function() {
			beforeEach(function () {
				spyOn(vent, 'trigger');
			});

			it('has a template helper to determine if there are facilities', function(){
				expect(nonPACTFacilityListView.templateHelpers().hasFacilities()).toBeTruthy();

				nonPACTFacilityListView.collection = new Backbone.Collection();

				expect(nonPACTFacilityListView.templateHelpers().hasFacilities()).toBeFalsy();
			});

			it('can enable the View Appointments button', function () {
				nonPACTFacilityListView.enableButton();

				expect(vent.trigger).toHaveBeenCalledWith('enable:view-button');
			});
		});
	}
);