define(['Global', 'Vent', 'DSPACTFacilityListView'],
	function(Global, vent, DSPACTFacilityListView){
		"use strict";

		var collection = new Backbone.Collection([
				{
					facilityName: "",
					facilityId: "",
					providerName: ""
				},
				{
					facilityName: "test",
					facilityId: "test",
					providerName: "test"
				}
			]),
			PACTFacilityListView = new DSPACTFacilityListView({collection: collection});

		PACTFacilityListView.render();

		describe("PACT Facilities List View", function() {
			beforeEach(function () {
				spyOn(vent, 'trigger');
			});

			it('has a template helper to determine if there are facilities', function(){
				expect(PACTFacilityListView.templateHelpers().hasFacilities()).toBeTruthy();

				PACTFacilityListView.collection = new Backbone.Collection();

				expect(PACTFacilityListView.templateHelpers().hasFacilities()).toBeFalsy();
			});

			it('can enable the View Appointments button', function () {
				PACTFacilityListView.enableButton();

				expect(vent.trigger).toHaveBeenCalledWith('enable:view-button');
			});
		});
	}
);