define(['Global', 'Vent', 'DSFacilityListItemView'],
	function(Global, vent, DSFacilityListItemView){
		"use strict";

		var model = new Backbone.Model({
				facilityId: "777",
				facilityName: "TEST VAMC 3",
				providerName: "Dr. Jones"
			}),
			facilityItemView = new DSFacilityListItemView({model: model});

		facilityItemView.render();

		describe("Facility List Item", function() {
			beforeEach(function () {
				spyOn(vent, 'trigger');
			});

			it('can update the facility', function(){
				facilityItemView.setFacility();
				expect(vent.trigger).toHaveBeenCalledWith('set:direct-scheduling:facility', model);
			});

			it('can show the List of PACT providers', function(){
				facilityItemView.showPACTMembers();
				expect(vent.trigger).toHaveBeenCalledWith('show:PACT-list', model);
			});
		});
	}
);