define(['Global', 'Vent', 'DSFacilitySelectionView'],
    function(Global, vent, DSFacilitySelectionView){
        "use strict";

        var facilityView = new DSFacilitySelectionView({collection: new Backbone.Collection(), model: new Backbone.Model()});

	    facilityView.path = "";
        facilityView.render();

        describe("Facility Page", function() {
	        beforeEach(function () {
		        spyOn(vent, 'trigger');

		        spyOn(facilityView.dontSeeExpected, 'close').andCallThrough();
	        });

            it('can enable buttons', function(){
	            facilityView.enableButton();
	            expect(facilityView.ui.bookBtn[0].disabled).toBeFalsy();
            });

	        it('can show clinic selection', function () {
		        facilityView.showClinicSelection();

		        expect(vent.trigger).toHaveBeenCalledWith('show:ds-clinic-date:view', facilityView.facility);
	        });

	        it('closes the Don\'t See Expected collapsible before it closes itself', function () {
		        facilityView.onBeforeClose();

		        expect(facilityView.dontSeeExpected.close).toHaveBeenCalled();
	        });

	        it('can go back to the booking landing page', function () {
		        facilityView.goBack();

		        expect(vent.trigger).toHaveBeenCalledWith('show:bookingLandingPage')
	        });
        });
    }
);