define(['Global'],
	function(Global){
		"use strict";

		describe("Global utility functions", function(){
			var utilities = Global.getUtilities();

			describe("getSetSeenInstructions function", function () {
				var userId = "testpatient",
					encryptedId = utilities.encrypt(userId),
					itemName = window.location.pathname + "/seenInstructions/" + encryptedId;

				it("can set the instructions flag", function () {
					utilities.getSetSeenInstructions({
						userId: userId,
						action: "set",
						setValue: true
					});

					expect(localStorage.getItem(itemName)).toEqual('true');
				});

				it("can get the instructions flag", function () {
					var seenInstructions = utilities.getSetSeenInstructions({
						userId: userId,
						action: "get"
					});

					expect(seenInstructions).toEqual('true');
				});

				localStorage.removeItem(itemName);
			});

		});
	}
);