define(['Global', 'Layout', 'HeaderView', 'MenuView', 'UserMenuView'],
	function(Global, Layout, HeaderView, MenuView, UserMenuView){
		"use strict";

		var headerView = new HeaderView(),
			layout = new Layout(),
			menuView = new MenuView(),
			userMenuView = new UserMenuView();

		describe("Header", function(){

			beforeEach(function () {
				layout.render();

				spyOn(menuView, "onRender").andCallFake(function () {
					menuView.delegateEvents();
				});
				spyOn(userMenuView, "onRender").andCallFake(function () {
					userMenuView.delegateEvents();
				});
				spyOn(headerView, "togglePanel").andCallThrough();

				layout.header.show(headerView.setHeaderTitle("VA Appointments"));
				layout.menu.show(menuView);
				layout.userMenu.show(userMenuView);
			});

			it("has a configurable title", function(){
				headerView.setHeaderTitle('Appointment Requests');
				expect(headerView.model.get('headerTitle')).toEqual("Appointment Requests");
			});

			it("opens the left panel", function () {
				headerView.togglePanel({currentTarget:{id:'menu-btn'}});
				expect(menuView.$el.is(':visible')).toBeTruthy();
			});

			it("opens the right panel", function () {
				headerView.togglePanel({currentTarget:{id:'user-menu-btn'}});
				expect(userMenuView.$el.is(':visible')).toBeTruthy();
			});

		});
	}
);