define(['Global', 'Layout', 'Vent', 'InstructionalHeader'],
	function(Global, Layout, vent, InstructionalHeader){
		'use strict'

		describe('Instructional Header to show information', function(){
			var layout 	= new Layout(),
				model	= new Backbone.Model({instructions:""}),
				view	= new InstructionalHeader({model: model});

			layout.render();
			layout.content.show(view);

			function showInstructionalHeader(config){
				model.set("instructions", config.instructions);
				layout.instructionalHeader[config.instructions? "show" : "close"](view);
			}

			it('Updates html when model message is changed', function(){
				var inst = "Please choose";
				expect(view.$el.text()).toContain("");
				showInstructionalHeader({instructions: inst});
				expect(view.$el.text()).toContain(inst);
			});

			it('Hides the instructional header when instructions are empty', function(){
				showInstructionalHeader({instructions:''});
				expect(view.$el.text()).toContain("");
			});

		});

	}
);