define(['Global', 'Layout', 'MenuView', 'HeaderView', 'Vent'],
	function(Global, Layout, MenuView, HeaderView, vent){
		"use strict";

		$('body').append('<div id="main"><div id="menu"></div></div>');

		var menuView = new MenuView();

		describe("Left Navigation", function(){

			beforeEach(function () {
				spyOn(menuView, "onRender").andCallFake(function () {
					menuView.delegateEvents();
				});
				spyOn(vent, "trigger");
				spyOn(menuView, "closePanel");

				menuView.render();
			});

			it("navigates correctly", function () {
				
				menuView.goToHome();
				expect(vent.trigger).toHaveBeenCalledWith('show:landing');

				menuView.goToAppointments();
				expect(vent.trigger).toHaveBeenCalledWith('show:direct-scheduling:view');

				menuView.goToRequests();
				expect(vent.trigger).toHaveBeenCalledWith('show:request:listing');

				menuView.showBookingLandingPage();
				expect(vent.trigger).toHaveBeenCalledWith('show:bookingLandingPage');

				menuView.closePanel();
				expect(menuView.closePanel).toHaveBeenCalled();
			});

		});
	}
);