define(['Global', 'LandingPageNotLoggedInView', 'FooterView' /*, 'UserSession'*/], 
	function(Global, LandingPageNotLoggedInView, FooterView /*, UserSession*/){
		"use strict";

		describe( "Landing Page (Not logged in) - Content", function(){
			var notLoggedInView = new LandingPageNotLoggedInView();
			beforeEach(function(){
				notLoggedInView.render();
			});

			afterEach(function(){
				notLoggedInView.close();
			});
			
			it( "Has VA branding Logo", function(){
				expect(notLoggedInView.$el.find("img")).toBeTruthy();
			});

			it( "Has bulleted list of available Veteran actions", function(){
				expect(notLoggedInView.$el.find(".point.check-point").length).toBeTruthy();
				expect(notLoggedInView.$el.find(".point.check-point").eq(0).text()).toContain("Request Primary Care and Mental Health");
			});

			it( "Has a login button", function(){
				expect(notLoggedInView.$el.find("button").length).toBeTruthy();
			});

		});
		describe( "Landing Page (Not logged in) - Footer", function(){
			var footerView = new FooterView({}, {showUser: false});
			beforeEach(function(){
				footerView.render();
			});

			afterEach(function(){
				footerView.close();
			});
			
			it( "does not show Logged In User", function(){
				expect(footerView.$el.find("#user-info").text()).not.toContain("Logged in as");
				expect(footerView.showLoggedInUser()).toBe(false);
			});

		});

		describe( "User session to not be valid", function(){
			// UserSession.prototype.initialize = function(){ this.attributes.mhpuser = {}; }
			// var userSession = new UserSession();

			// it( "user is not logged in", function(){
			// 	expect(userSession.isLoggedIn()).toBeFalsy();
			// });


		});
	}
);