define(['Global', 'RequestListHeaderView', 'Vent'],
	function(Global, RequestListHeaderView, vent){
		"use strict";

		var requestListHeaderView = new RequestListHeaderView().render(),
			$newRequestButton = requestListHeaderView.$el.find('#new-request-btn');

		describe("Request List Header", function(){

			beforeEach(function () {
				spyOn(vent, "trigger");

				requestListHeaderView.delegateEvents();
			});

			it("has a New Request button", function(){
				expect($newRequestButton.length).toEqual(1);
				expect($newRequestButton.text().trim()).toEqual("New Request");
			});

			it("navigates correctly", function () {
				$newRequestButton.trigger('click');
				expect(vent.trigger).toHaveBeenCalledWith("show:request:new");
			});

		});
	}
);
