define(['Global', 'Vent', 'Layout', 'AppointmentRequestSubmittedView'],
	function(Global, vent, Layout, AppointmentRequestSubmittedView){
		'use strict';

		describe("Appointment Request Submitted View", function(){
			var view, request;
			var layout = new Layout();
			layout.render();


			view = new AppointmentRequestSubmittedView({model: request});
			view.prefs = new Backbone.Model({
				notificationFrequency: 'Always',
				emailAllowed: true,
				emailAddress: 'va@domain'
			});

			beforeEach(function(){
				spyOn(vent, "trigger");
			});

			it("allows user to click ok to close out confirmation of request submission", function(){
				view.showApptRequests();
				expect(vent.trigger).toHaveBeenCalledWith("show:request:listing", {refetch: true});
			});

			it("allows user to view notification settings", function(){
				view.showNotificationSettings();
				expect(vent.trigger).toHaveBeenCalledWith("show:request:listing", {openSection: "settings"});
			});

			it("has a template helper to display notification preferences", function(){
				expect(view.templateHelpers().getNotificationSettings()).toEqual("Notifications are sent to va@domain for always");
			});

		});

	}
);