define(['UserMenuView', 'Vent'],
	function(UserMenuView, vent){
		'use strict';

		$('body').append('<button id="user-menu-btn"></button>');

		var view = new UserMenuView();
		view.onRender = function(){};
		view.render();

		describe('User Menu View', function(){
			
			beforeEach(function(){
				spyOn(vent, 'trigger');
			});
			
			it('calls logout', function(){
				view.logoutUser({preventDefault:function(){}});
				expect(vent.trigger).toHaveBeenCalled();
			});

			it('calls about popup', function(){
				view.goToAbout();
				expect(vent.trigger).toHaveBeenCalledWith('show:about');
			});

			it('calls feedback popup', function(){
				view.goToFeedback();
				expect(vent.trigger).toHaveBeenCalledWith('show:feedback');
			});

		});
	}
);