define(['Global', 'Vent', 'DSViewApptFacilitySelectionView'],
    function(Global, vent, DSViewApptFacilitySelectionView){
        "use strict";

        var facilityView = new DSViewApptFacilitySelectionView({collection: new Backbone.Collection(), model: new Backbone.Model()});

	    facilityView.path = "";
        facilityView.render();

        describe("View Appointments Facility Page", function() {
	        beforeEach(function () {
		        spyOn(vent, 'trigger');
	        });

            it('can enable buttons', function(){
                facilityView.enableButton();
                expect(facilityView.ui.viewBtn[0].disabled).toBeFalsy();
            });

	        it('can show appointments', function () {
		        facilityView.viewAppointments();

		        expect(vent.trigger).toHaveBeenCalledWith('show:direct-scheduling:appointment-listing', facilityView.facility);
	        });

	        it('can go back to the landing page', function () {
		        facilityView.goBack();

		        expect(vent.trigger).toHaveBeenCalledWith('show:landing')
	        });
        });
    }
);