define(['WarningsView'],
	function(WarningsView){
		'use strict';

		var view;

		describe('Warnings View', function(){

			beforeEach(function(){
				view = new WarningsView();
				view.render();
			});

			it('adds message to collection', function(){
				expect(view.collection.length).toEqual(0);
				view.addMessage('there is a warning');
				expect(view.collection.length).toEqual(1);
			});

			it('does not have a class of form-warnings when errors present no errors present', function(){
				expect(view.collection.length).toEqual(0);
				expect(view.$el.hasClass('form-warnings')).toBe(false);
			});

			it('has a class of form-warnings when errors present', function(){
				view.addMessage('There is a warning');
				view.render();
				expect(view.collection.length).toEqual(1);
				expect(view.$el.hasClass('form-warnings')).toBe(true);
			});
		});

	}
);